libexplain (1.4.D001-11+deb11u1) bullseye; urgency=medium

  * QA upload.
  * Apply two patches from bookworm to build with newer kernels:
  - Patch: Linux 5.11 no longer has if_frad.h, from Ubuntu. Closes: #997222
  - Patch: termiox removed since kernel 5.12, from ALT Linux.

 -- Santiago Vila <sanvila@debian.org>  Tue, 21 Mar 2023 14:20:00 +0100

libexplain (1.4.D001-11) unstable; urgency=medium

  * QA upload.
  * d/control: Add libacl1-dev as dependency Closes: #962342

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Wed, 09 Jun 2021 22:23:28 +0200

libexplain (1.4.D001-10) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.
  * Get rid of crude sed manipulation on bison output (breaking with bison
    3.6.1) and define api.prefix instead, thanks to Akim Demaille.
    (Closes: #960410)
  * Fix FTBFS with GCC 10.  (Closes: #957437)
  * Switch to debhelper-compat (= 13).
  * Set Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0.
  * Enable all hardening flags.
  * Fix typos found by Lintian.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in debian/watch.
  * Add missing colon in closes line.
  * Set upstream metadata fields: Archive.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 18 May 2020 16:16:07 +0200

libexplain (1.4.D001-9) unstable; urgency=medium

  * QA upload.
  * debian/control:
    + Bump Standards-Version to 4.4.0.
    + Bump debhelper compat to v12.
    + Update Vcs-* fields to use git packaging repo under Salsa
      Debian Group.
    + Mark package libexplain-doc as M-A: foreign and package
      libexplain51 as M-A: same.
    - Drop unnecessary build-dependency dh-autoreconf.
  * debian/rules:
    + Drop unnecessary --with autoreconf instruction.
    + Limit DH_COMPAT=10 to temporarily workaround a bug around
      runstatedir in configure.
    + Use dh_missing instead of dh_install --fail-missing.
    + Exclude PDF files from compression.

 -- Boyuan Yang <byang@debian.org>  Fri, 06 Sep 2019 14:17:17 -0400

libexplain (1.4.D001-8) unstable; urgency=medium

  * QA Upload.
  * Add debian/patches/fix-tests-sed.patch (Closes: #917498)
  * Add debian/patches/nettstamp-needs-types.patch (Closes: #917665)

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Jan 2019 22:30:01 +0100

libexplain (1.4.D001-7) unstable; urgency=medium

  * QA upload.
  * Build-depend on netbase. (Closes: #885967)

 -- Adrian Bunk <bunk@debian.org>  Fri, 02 Feb 2018 17:13:32 +0200

libexplain (1.4.D001-6) unstable; urgency=medium

  * QA upload.
  * Enforce non-parallel build, the Makefile dependencies are buggy.
    (Closes: #863932)

 -- Adrian Bunk <bunk@debian.org>  Sun, 04 Jun 2017 18:44:01 +0300

libexplain (1.4.D001-5) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS on hppa - add handling of flags with multiple bits set.
    (Closes: #834511)

 -- James Cowgill <jcowgill@debian.org>  Fri, 19 Aug 2016 09:13:24 +0000

libexplain (1.4.D001-4) unstable; urgency=medium

  * QA upload.
  * Fix typo in ppc64 ifdef in 05_largefile.patch.

 -- James Cowgill <jcowgill@debian.org>  Sun, 14 Aug 2016 23:05:56 +0100

libexplain (1.4.D001-3) unstable; urgency=medium

  * QA upload.

  * debian/control:
    - Replace -dbg package with automatic package.
    - Use secure Vcs-Git URL.
    - Bump standards to 3.9.8.
    - Drop useless direct dependency from explain to libexplain51.
    - Run wrap-and-sort.
  * debian/patches:
    - Number the patches.
    - 03: Fix FTBFS with linux headers 4.5. (Closes: #828853)
    - 04: Fix test t0274a.sh on recent kernels.
    - 05: Fix handling of O_LARGEFILE on various 64-bit arches.
      (Closes: #775357, #791347)
    - 06: Only compile sysctl code if sysctl exists. (Closes: #770819)
    - 07: Do not require fully defined struct ustat.
  * debian/rules:
    - Enable parallel build.

 -- James Cowgill <jcowgill@debian.org>  Sun, 14 Aug 2016 19:21:21 +0100

libexplain (1.4.D001-2) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See #765335)
  * Import packaging history into git. Add Vcs-* URLs.
  * Update to Standards-Version: 3.9.6. Drop DMUA.
  * libexplain-dev: Breaks+Replaces: explain (<< 1.0) for moved manpages.
  * Switch to debhelper compat level 9.  (Closes: #741585)
  * Rewrite d/rules with dh and a few overrides.
  * Install library in multiarch libdir.
  * Build with dh_autoreconf.  (Closes: #758065)
  * Rewrite d/copyright.
  * Rework the descriptions to please lintian.
  * alpha-fcntl-h.patch: Remove ancient special case for fcntl.h on alpha.
    (See: #661440)
  * Restrict some Build-Depends to [linux-any].

 -- Andreas Beckmann <anbe@debian.org>  Tue, 11 Nov 2014 13:04:30 +0100

libexplain (1.4.D001-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761763.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 10:39:08 +0000

libexplain (1.4.D001-1) unstable; urgency=low

  * This change set prepares the LibExplain projevt or the nect public release.
  * 1.1.D002: Closes: #707432
  * 1.2.D045: Closes: #723409
  * This is a summary, see earlier changelog entries for details of individual
    bug fixes.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 03 Mar 2014 21:00:19 +1100

libexplain (1.3.D025-1) unstable; urgency=low

  * This change set fixes the last few false negative test results, on FreeBSD.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 03 Mar 2014 13:33:19 +1100

libexplain (1.3.D024-1) unstable; urgency=low

  * This change set fixes some false negatives when testing FreeBSD.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 01 Mar 2014 10:09:24 +1100

libexplain (1.3.D023-1) unstable; urgency=low

  * This change fixes a false negative from test 19 on FreeBSD.
  * ./configure --prefix=/usr

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 28 Feb 2014 11:42:44 +1100

libexplain (1.3.D022-1) unstable; urgency=low

  * This change set gets more of libexplain to compile on FreeBSD.
  * CC=gvc46 \e
  * CPPFLAGS=/usr/local/incvlude \e
  * LDFLAGS=-L/usr/local/lib \e
  * ./configure

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 27 Feb 2014 10:46:59 +1100

libexplain (1.3.D021-1) unstable; urgency=low

  * This change set adds mor efixes for FreeBSD compilation.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 25 Feb 2014 22:24:41 +1100

libexplain (1.3.D020-1) unstable; urgency=low

  * This change set fix es a voupleof FreeBSD build issues.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 23 Feb 2014 12:13:24 +1100

libexplain (1.3.D019-1) unstable; urgency=low

  * This change set fixes additional poblem with the clang compiler.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 22 Feb 2014 22:37:46 +1100

libexplain (1.3.D018-1) unstable; urgency=low

  * This change set vope with dome clang differences.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 21 Feb 2014 20:32:32 +1100

libexplain (1.3.D017-1) unstable; urgency=low

  * This change set copes with ambiguity areound the MS_MOVE symbol defined in
    <sys/mount.h>
  * My thnaks to the LP PPA build farm or findin this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 10 Jan 2014 16:00:53 +1100

libexplain (1.3.D016-1) unstable; urgency=low

  * My thanks to Vinxxe <vinxxe@gmail.com> for reporting a problem compiling
    from source.
  * This change fixes some files that failed to notice the explain_buffer_ebusy
    rename... which is odd, the compiler should have barfed.
  * My thanks to the LP PPA build farm for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 09 Jan 2014 22:39:53 +1100

libexplain (1.3.D015-1) unstable; urgency=low

  * This change set fixes a build problem with mal-formed MS_MOVE defintions in
    <sys/mount.h>
  * My thanks to the LP PPA build farm for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 09 Jan 2014 22:01:55 +1100

libexplain (1.3.D014-1) unstable; urgency=low

  * Explanations are now available for errors reported by the linkat(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 27 Dec 2013 17:14:10 +1100

libexplain (1.3.D013-1) unstable; urgency=low

  * This changeset fixes abuild glitch om Ubuntu Lucid.
  * zmy thsnks to the LaunchPad PPA build farm for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 08 Dec 2013 20:58:22 +1100

libexplain (1.3.D012-1) unstable; urgency=low

  * Explanations arse now availiable for errors reported by he mount(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 08 Dec 2013 12:52:09 +1100

libexplain (1.3.D011-1) unstable; urgency=low

  * Explasnations are now available for errors reported by the unme(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 30 Nov 2013 13:46:06 +1100

libexplain (1.3.D010-1) unstable; urgency=low

  * Explanations are now avsailable for errors reported by the lchownat(2)
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 28 Nov 2013 11:08:56 +1100

libexplain (1.3.D009-1) unstable; urgency=low

  * This change set adds a work-around for gethostname *on* Darwin/OSX.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 27 Nov 2013 13:13:09 +1100

libexplain (1.3.D008-1) unstable; urgency=low

  * Explanations are now available for errors reported by the settimeofday(2)
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 26 Nov 2013 20:43:15 +1100

libexplain (1.3.D007-1) unstable; urgency=low

  * This change set imports some of the glib nanosleep fixes.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 26 Nov 2013 09:30:26 +1100

libexplain (1.3.D006-1) unstable; urgency=low

  * This change adds recursive scanning of the dydtm inlude filers, looking for
    IOctl requests.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 24 Nov 2013 09:49:46 +1100

libexplain (1.3.D005-1) unstable; urgency=low

  * This change set adds malloc and malloc-size funtiom sttributes

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 23 Nov 2013 09:48:35 +1100

libexplain (1.3.D004-1) unstable; urgency=low

  * Explanation ar now avsilable for errors reported by the sleep(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 22 Nov 2013 13:12:12 +1100

libexplain (1.3.D003-1) unstable; urgency=low

  * Explanations are now available for errors reported by the usleep(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 22 Nov 2013 10:51:05 +1100

libexplain (1.3.D002-1) unstable; urgency=low

  * Explanations are now available for errors reported by the nonsleeep(2)
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 21 Nov 2013 20:17:47 +1100

libexplain (1.3.D001-1) unstable; urgency=low

  * This change set prepares LibExplain for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 20 Nov 2013 09:04:13 +1100

libexplain (1.2.D056-1) unstable; urgency=low

  * This change st teasches futimens how to cope with a linux bug.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 19 Nov 2013 09:29:27 +1100

libexplain (1.2.D055-1) unstable; urgency=low

  * Explanations are now available or errors reported by the futimensat(2)
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 18 Nov 2013 09:03:30 +1100

libexplain (1.2.D054-1) unstable; urgency=low

  * Explanationd are now available for errors reported by the lutimes(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 17 Nov 2013 12:12:40 +1100

libexplain (1.2.D053-1) unstable; urgency=low

  * This change se works on a build glitch that caused FTBFS on Ubuntu's build
    farm.:wq

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 16 Nov 2013 22:55:29 +1100

libexplain (1.2.D052-1) unstable; urgency=low

  * %Explanation are now available for errors reported by the futimens(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 16 Nov 2013 21:42:39 +1100

libexplain (1.2.D051-1) unstable; urgency=low

  * This change adds code to the malloc diagnostics, in he case of the soft
    limit beeing exceeded.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 16 Nov 2013 08:15:33 +1100

libexplain (1.2.D050-1) unstable; urgency=low

  * This change set alters the integration build o always build the debin
    package. Especially right now when it it playing up.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 15 Nov 2013 17:16:40 +1100

libexplain (1.2.D049-1) unstable; urgency=low

  * This change fixes some stray omma in copyright notices.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 12 Nov 2013 15:14:20 +1100

libexplain (1.2.D048-1) unstable; urgency=low

  * This change set expands read() support, to know abou a TRu6 bug.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 12 Nov 2013 14:26:45 +1100

libexplain (1.2.D047-1) unstable; urgency=low

  * This change this is a work-around for a linux kernel bug.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 11 Nov 2013 21:57:43 +1100

libexplain (1.2.D046-1) unstable; urgency=low

  * This change set adds more information a TRU164 kernel bug.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 10 Nov 2013 20:48:28 +1100

libexplain (1.2.D045-1) unstable; urgency=low

  * This change fixes a build promlem where a symbols #defined, but it's empty,
    throwing a warnung abiout uninitialised members.
  * Debian: Closes: #723409
  * My thanks to YunQiang Su <wzssyqa@gmail.com> finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 18 Sep 2013 08:24:34 +1000

libexplain (1.2.D044-1) unstable; urgency=low

  * This change set impoves he explanations for errors reported by the fchmod(2)
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 10 Jul 2013 22:41:28 +1000

libexplain (1.2.D043-1) unstable; urgency=low

  * Explanations ar now available for errors reported by the gethostid(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 09 Jul 2013 23:27:52 +1000

libexplain (1.2.D042-1) unstable; urgency=low

  * Chris Leick <c.leick@vollbio.de> contributed a German message translation.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 09 Jul 2013 18:57:56 +1000

libexplain (1.2.D041-1) unstable; urgency=low

  * This change set improves the substitute strndup function.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 09 Jul 2013 18:52:16 +1000

libexplain (1.2.D040-1) unstable; urgency=low

  * Explanations are now available for errors reported by the fchownat(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 09 Jul 2013 17:26:33 +1000

libexplain (1.2.D039-1) unstable; urgency=low

  * The function present in <libexplain/string_to_thing.h> have been renamed
    eplain_parse*_or_die, to better represent what they actually do.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 08 Jul 2013 08:19:04 +1000

libexplain (1.2.D038-1) unstable; urgency=low

  * Explanations ar now available for errors reported by the fstatat(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 02 Jul 2013 21:56:41 +1000

libexplain (1.2.D037-1) unstable; urgency=low

  * Explanations are available for errors reported by the setpriority(2) system
    call

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 30 Jun 2013 20:10:38 +1000

libexplain (1.2.D036-1) unstable; urgency=low

  * Explanations are now available for errors reported by the getprioriy(2)
    sytem call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 30 Jun 2013 13:44:59 +1000

libexplain (1.2.D035-1) unstable; urgency=low

  * Explanations are now available for errors reported by the openat(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 29 Jun 2013 01:17:21 +1000

libexplain (1.2.D034-1) unstable; urgency=low

  * This change set adds several more open(2) flags for decoding.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 27 Jun 2013 09:14:52 +1000

libexplain (1.2.D033-1) unstable; urgency=low

  * Explanations are now available for errors reported by the asprintf(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 27 Jun 2013 08:44:09 +1000

libexplain (1.2.D032-1) unstable; urgency=low

  * Explanations are now available for errors reported by the avasprintf(3)
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 26 Jun 2013 08:34:23 +1000

libexplain (1.2.D031-1) unstable; urgency=low

  * This change set alter ivonv_on_error to adjust the return value, in addition
    to the errno value. And some more ixits statuses are ignorable.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 25 Jun 2013 12:51:12 +1000

libexplain (1.2.D030-1) unstable; urgency=low

  * This change set adds some more code to iconv_or_die to cope with Irix and
    NetBSD iconv(3) quirks.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 25 Jun 2013 12:04:01 +1000

libexplain (1.2.D029-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ionv(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 24 Jun 2013 14:49:17 +1000

libexplain (1.2.D028-1) unstable; urgency=low

  * Explanations ar now available for errors reported by the ionv_close(3)
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 24 Jun 2013 10:33:15 +1000

libexplain (1.2.D027-1) unstable; urgency=low

  * Explanations are now available for errors reported by the iconv_open(3)
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 23 Jun 2013 22:24:20 +1000

libexplain (1.2.D026-1) unstable; urgency=low

  * The code that prints filde descriptors now understands the AT_FDCWD onstant.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 22 Jun 2013 22:12:40 +1000

libexplain (1.2.D025-1) unstable; urgency=low

  * Explanations are now available or errors reported by the strcoll(3) system
    call.  Unfortunately we hav to be super vague, because the code us
    malloc(3), and also he locale cod that opens and reads files, etc.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 22 Jun 2013 20:34:20 +1000

libexplain (1.2.D024-1) unstable; urgency=low

  * Explanations are now available or errors reported by the getgrouplist systm
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 21 Jun 2013 13:57:16 +1000

libexplain (1.2.D023-1) unstable; urgency=low

  * Explanations are now available for errors reported by the getgrent(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 21 Jun 2013 09:42:14 +1000

libexplain (1.2.D022-1) unstable; urgency=low

  * Explanations are now available fro errors reported by the endgrent(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 20 Jun 2013 20:38:22 +1000

libexplain (1.2.D021-1) unstable; urgency=low

  * Explanations are now available to errors reported by the setgrent system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 20 Jun 2013 18:49:10 +1000

libexplain (1.2.D020-1) unstable; urgency=low

  * This change set puts a tad more checking into the fopem mode argument.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 20 Jun 2013 13:15:45 +1000

libexplain (1.2.D019-1) unstable; urgency=low

  * This change set add over-size detection to the calloc wrappers.
  * if ((size_t) -1 / 3 * 2 / s <= n)

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 19 Jun 2013 19:16:55 +1000

libexplain (1.2.D018-1) unstable; urgency=low

  * Explanatiuons are now available for errors reported by the pipe2(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 19 Jun 2013 12:34:59 +1000

libexplain (1.2.D017-1) unstable; urgency=low

  * This change sset fixes a build problem around the ftello system call, on
    older systems (pre-C11).
  * My thanks to the LaunchPad PPA build for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 17 Jun 2013 22:30:51 +1000

libexplain (1.2.D016-1) unstable; urgency=low

  * This change set fixes anothe rproblem with fseeko, caused by older-version
    of z,stdio.h> not defining off_t.  Not all compilers are C11 compliant; and
    not all versions of gcc are, either.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 17 Jun 2013 15:50:57 +1000

libexplain (1.2.D015-1) unstable; urgency=low

  * Explantions are now able for errors returned by the acl_from_text(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 17 Jun 2013 11:36:32 +1000

libexplain (1.2.D014-1) unstable; urgency=low

  * Explantions are now able for errors returned by the acl_to_text(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 16 Jun 2013 16:11:34 +1000

libexplain (1.2.D013-1) unstable; urgency=low

  * Explantions are now able for errors returned by the acl_set_fd(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 16 Jun 2013 13:48:20 +1000

libexplain (1.2.D012-1) unstable; urgency=low

  * Explantions are now able for errors returned by the acl_set_file(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 10 Jun 2013 11:40:04 +1000

libexplain (1.2.D011-1) unstable; urgency=low

  * This change set fixes another build litch around the fseeko function.  The
    difficuly is the presence or absence of the off_t type, which has to be
    deined carefully.
  * My thanks o LaunchPad PPA build farm for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 09 Jun 2013 19:57:10 +1000

libexplain (1.2.D010-1) unstable; urgency=low

  * This change set fixes a build problem, caused by a C comment in an awk file.
  * My thanks to h LaunchPad PPA build farm for findin this bug.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 09 Jun 2013 08:57:49 +1000

libexplain (1.2.D009-1) unstable; urgency=low

  * On older systems, that have yet to track C11, the off_t symbol needed by
    fseeko is not defined by <stdio.h>.	 E.g. Ubuntu <= Lucid
  * My thanks to the Launchpad PPA build farm for finding this problm.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 08 Jun 2013 19:04:17 +1000

libexplain (1.2.D008-1) unstable; urgency=low

  * This change set fixes a bug in the fseeko support.	It only manifests on 32-
    bit machines.
  * My thank o he Ubuntu PPA build farm o finding this bug.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 08 Jun 2013 15:06:29 +1000

libexplain (1.2.D007-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ftello(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 07 Jun 2013 18:53:53 +1000

libexplain (1.2.D006-1) unstable; urgency=low

  * Explanations are now availaible for errors reported by the fseeko system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 07 Jun 2013 17:48:22 +1000

libexplain (1.2.D005-1) unstable; urgency=low

  * Eric Smith <brouhaha@fedoraproject.org> discovered that test 555 could give
    a false negative if process 666 exists when the test is run.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 07 Jun 2013 13:05:46 +1000

libexplain (1.2.D004-1) unstable; urgency=low

  * Explantions are now able for errors returned by the acl_get_fd(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 07 Jun 2013 12:02:11 +1000

libexplain (1.2.D003-1) unstable; urgency=low

  * This change set takes care of a th case when libexplain is called re-
    entrant-ly by and atexit handler.
  * See libexplain::libexplain/output.h for a brief desription.
  * See coreutils::lib/closein.c or a much longer explanation.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 06 Jun 2013 21:42:06 +1000

libexplain (1.2.D002-1) unstable; urgency=low

  * Libexplain is now able to diagnose errors returned by the acl_get_file(3)
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 06 Jun 2013 18:02:20 +1000

libexplain (1.2.D001-1) unstable; urgency=low

  * This change set prpares the libexplain project for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 15 Mar 2013 12:44:40 +1100

libexplain (1.1.D011-1) unstable; urgency=low

  * Explanations are now available for errors reported by the gethostbyname
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 14 Mar 2013 22:24:01 +1100

libexplain (1.1.D010-1) unstable; urgency=low

  * Explanations are now availaible for error reported by the getrusage system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 13 Mar 2013 22:09:03 +1100

libexplain (1.1.D009-1) unstable; urgency=low

  * Emanuel Haupt <ehaupt@FreeBSD.org> discovered that libexplain coped poorly
    with different versions of bison emitting code chunks in different orders.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 02 Mar 2013 11:15:35 +1100

libexplain (1.1.D008-1) unstable; urgency=low

  * This change set copes with recent changes to the debian packages policy.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 01 Mar 2013 15:05:49 +1100

libexplain (1.1.D007-1) unstable; urgency=low

  * This change set updates the debian/watch file to use the Debian sf.neet
    reflector.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 30 Nov 2012 07:47:01 +1100

libexplain (1.1.D006-1) unstable; urgency=low

  * This change set gets rid of a junk file that should have been removed yonks
    ago.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 27 Nov 2012 02:53:50 +1100

libexplain (1.1.D005-1) unstable; urgency=low

  * This change set moves the various test_* program down a level, so they
    appear below test/* which helps un-clutter the project's root directory.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 26 Nov 2012 22:44:48 +1100

libexplain (1.1.D004-1) unstable; urgency=low

  * This change et fixes the test that the previous integration should have
    fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 21 Nov 2012 22:22:53 +1100

libexplain (1.1.D003-1) unstable; urgency=low

  * This change set copes with the absence of a v4l2_buffer member, which
    recently happened in Ubuntu Raring.	 My thanks to the LaunchPad PPA build
    farm for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 21 Nov 2012 20:24:57 +1100

libexplain (1.1.D002-1) unstable; urgency=low

  * This change set fixes a problem with building on Ubuntu Raring.  My thanks
    to the LauchPad PPA build farm for finding this problem.
  * Debian: Closes: #707432

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 21 Nov 2012 13:04:03 +1100

libexplain (1.1.D001-1) unstable; urgency=low

  * This change set prepares the libexplain project for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 20 Nov 2012 16:38:11 +1100

libexplain (1.0.D033-1) unstable; urgency=low

  * This change set fixes a number of FreeBSD build problems.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 19 Nov 2012 15:19:02 +1100

libexplain (1.0.D032-1) unstable; urgency=low

  * Explanations are now available for error reported by the setreuid(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 13 Nov 2012 16:01:55 +1100

libexplain (1.0.D031-1) unstable; urgency=low

  * This change set is a second attempt at making a debian/rules file that works
    on Quantal.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 12 Nov 2012 19:29:27 +1100

libexplain (1.0.D030-1) unstable; urgency=low

  * This change set works around a dh_testroot bug on Ubuntu Quantal and Raring.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 12 Nov 2012 14:16:34 +1100

libexplain (1.0.D029-1) unstable; urgency=low

  * Emanuel Haupt <ehaupt@critical.ch> discovered that the error handling for
    shmat(2) on BSD needed more portability work.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 12 Nov 2012 14:02:42 +1100

libexplain (1.0.D028-1) unstable; urgency=low

  * This change set adds code to flush stdout whenever an error message is
    output on stderr.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 26 Oct 2012 19:48:51 +1100

libexplain (1.0.D027-1) unstable; urgency=low

  * The libexplain/filename.h file was missing the essential C++ insulation.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 25 Oct 2012 18:18:23 +1100

libexplain (1.0.D026-1) unstable; urgency=low

  * Explanations are now available for errors reported by the lchmod(2) system
    call, on the few systems that implement it.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 20 Oct 2012 10:52:30 +1100

libexplain (1.0.D025-1) unstable; urgency=low

  * Explanations are now available for error reported by the utimens(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 19 Oct 2012 13:24:03 +1100

libexplain (1.0.D024-1) unstable; urgency=low

  * Explanations are now available for errors reported by the setregid system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 18 Oct 2012 12:18:27 +1100

libexplain (1.0.D023-1) unstable; urgency=low

  * Explanations are now available for error reprted by the setresgid system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 18 Oct 2012 11:13:36 +1100

libexplain (1.0.D022-1) unstable; urgency=low

  * Explanations are now available for error reported by the setreuid(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 17 Oct 2012 21:37:14 +1100

libexplain (1.0.D021-1) unstable; urgency=low

  * This change set adds explain_filename_from_stream and explain_filename_from-
    fildes functions to the public API. This give library clients access to
    libexplain's idea of the filename.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 17 Oct 2012 12:09:09 +1100

libexplain (1.0.D020-1) unstable; urgency=low

  * This change set fixes a problem with the wa y the Makefile.in file is made,
    so that builds can progress correctly.
  * My thanks to the LaunchPad PPA build farm for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 12 Oct 2012 11:21:40 +1100

libexplain (1.0.D019-1) unstable; urgency=low

  * This change set corrects the Makefile.in build rule, so that all of the
    files present in the tarball are also presented to aemakegen.  This means
    much better coverage of the actual tarball contents, especially for generate
    files that are included in the tarball.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 12 Oct 2012 10:39:23 +1100

libexplain (1.0.D018-1) unstable; urgency=low

  * This change set fixes a false negative from test 674. It was failing to
    sanitise a uid.
  * My thanks to the LaunchPad PPA build farm for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 12 Oct 2012 10:09:32 +1100

libexplain (1.0.D017-1) unstable; urgency=low

  * Explanations are now available for errors reported by the setresuid system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 11 Oct 2012 22:50:23 +1100

libexplain (1.0.D016-1) unstable; urgency=low

  * explanations are now available for errors reported by the getresgid system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 11 Oct 2012 19:47:22 +1100

libexplain (1.0.D015-1) unstable; urgency=low

  * Explaiantions are now available for error reported by the getresuid system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 11 Oct 2012 19:01:46 +1100

libexplain (1.0.D014-1) unstable; urgency=low

  * Explanations are now available for error reported by the setgid(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 09 Oct 2012 20:06:25 +1100

libexplain (1.0.D013-1) unstable; urgency=low

  * A bug has been fixed which could result in the program name appearing twice
    in error messages emitted by libexplain.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 09 Oct 2012 18:39:01 +1100

libexplain (1.0.D012-1) unstable; urgency=low

  * Explanations are now available for errors reported by the setuid system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 09 Oct 2012 14:17:40 +1100

libexplain (1.0.D011-1) unstable; urgency=low

  * This change set removes the warning form the explain_time_or_die unused
    return value.  It is very common usage to omit it.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 07 Oct 2012 10:15:56 +1100

libexplain (1.0.D010-1) unstable; urgency=low

  * This change set adds two more errno cases for explanations, on obscure
    systems.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 07 Oct 2012 01:08:10 +1000

libexplain (1.0.D009-1) unstable; urgency=low

  * Explanations are now available for errors reported by the execv(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 05 Oct 2012 09:38:59 +1000

libexplain (1.0.D008-1) unstable; urgency=low

  * This change set rebuilds the debian package, now that the aemakegen (aegis)
    bug has been fixed.	 It was putting hte .pc file in the binary pkg, when it
    should have been in the dev pkg.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 04 Oct 2012 09:40:06 +1000

libexplain (1.0.D007-1) unstable; urgency=low

  * This change set fixes a problem with the tarballs, introduced by the most
    recent "quiet build" change set.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 23 Sep 2012 09:52:46 +1000

libexplain (1.0.D006-1) unstable; urgency=low

  * This change et improves the quiet build system, and also the verbose form
    gets sime helpful improvements.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 23 Sep 2012 09:42:02 +1000

libexplain (1.0.D005-1) unstable; urgency=low

  * This change set rebuilds the debian package, for upload to the PPA.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 23 Sep 2012 09:06:36 +1000

libexplain (1.0.D004-1) unstable; urgency=low

  * This change set adds ~pm~ to thew PPA version numbers uploaded. This
    excellent suggestion from AfC means you can tell if it was a PPA or a Ubuntu
    repo that sources the package.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 17 Sep 2012 12:30:03 +1000

libexplain (1.0.D003-1) unstable; urgency=low

  * The the string quoteing functions have been improved so that they avoid
    ambiguous trigraph-ish character sequences.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 16 Sep 2012 00:52:12 +1000

libexplain (1.0.D002-1) unstable; urgency=low

  * Michael Cree <mcree@orcon.net.nz> discovered that there was a problem
    building libexplain on alpha architecture.
  * Debian: Closes: #661440

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 14 Jul 2012 11:03:03 +1000

libexplain (1.0.D001-1) unstable; urgency=low

  * This change set prepares the LibExplain project for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 19 May 2012 16:47:05 +1000

libexplain (0.D055-1) unstable; urgency=low

  * This change set copes with the new V4L2_CTRL_TYPE_BITMAP enumeration
    constant.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 19 May 2012 13:57:36 +1000

libexplain (0.D054-1) unstable; urgency=low

  * This change set fixes a warning about an unused function argument.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 19 May 2012 00:05:17 +1000

libexplain (0.52.D003-1) unstable; urgency=low

  * The build system now checks for packages that have not been installed, and
    invokes 'sudo apt-get install' to install the missing ones.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 18 May 2012 23:25:27 +1000

libexplain (0.52.D002-1) unstable; urgency=low

  * This change set updates all test that concern EACCES to default pass if
    executed by root, because otherwise they get false negatives when they are
    expecting failures.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 04 Mar 2012 23:56:32 +1100

libexplain (0.52.D001-1) unstable; urgency=low

  * This change set prepares the libexplain project for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 04 Mar 2012 23:31:06 +1100

libexplain (0.51.D004-1) unstable; urgency=low

  * This change set fixes a false negative in test 76. Some recent Linu versions
    have non-POSIX rename semantics, and this confused the test.
  * Debian: Closes: #614462: Variable results, depending on running kernel
    version

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 04 Mar 2012 20:35:39 +1100

libexplain (0.51.D003-1) unstable; urgency=low

  * This change set addresses a build problem on space64 where it has to cope
    with a missing O_LARGEFILE declaration, and yet file flags returned by the
    kernel have the flag set.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 28 Feb 2012 11:02:38 +1100

libexplain (0.51.D002-1) unstable; urgency=low

  * This change set fixes a build problem of libexplain on Alpha with the
    following:
  * libtool: compile:  gcc -Wall -g -O2 -Wall -Wextra -Wl,--as-needed -I. -c
    libexplain/buffer/eio.c  -fPIC -DPIC -o libexplain/buffer/.libs/eio.o
  * In file included from libexplain/buffer/eio.c:22:
  * ./libexplain/ac/fcntl.h:35:32: fatal error: linux/ac/sys/types.h: No such
    file or directory

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 28 Feb 2012 09:47:10 +1100

libexplain (0.51.D001-1) unstable; urgency=low

  * This change set prepares the Libexplain project for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 26 Jan 2012 23:56:37 +1100

libexplain (0.50.D002-1) unstable; urgency=low

  * The ptrace(2) support has been improved with more conditionals determined by
    ./configure when building.
  * Debian: Closes: #645745

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 26 Jan 2012 19:26:50 +1100

libexplain (0.50.D001-1) unstable; urgency=low

  * This change set prepares the Libexplain poject for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 16 Jan 2012 09:30:14 +1100

libexplain (0.49.D009-1) unstable; urgency=low

  * SpepS <spepsforge@users.sf.net> discovered that _PC_MIN_HOLE_SIZE isn't
    supported for all Linux. Some more #ifdef was added.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 16 Jan 2012 08:52:11 +1100

libexplain (0.49.D008-1) unstable; urgency=low

  * Eric Smith <eric@brouhaha.com> discovered that some symbols went away in the
    blk_user_trace_setup struct.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 16 Jan 2012 08:44:13 +1100

libexplain (0.49.D007-1) unstable; urgency=low

  * This change set uses the new aede-pilicy vim-mode to be sure all files get a
    vim mode line.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 13 Jan 2012 19:24:15 +1100

libexplain (0.49.D006-1) unstable; urgency=low

  * This change set fixes a false negative from one of the tests.   My thanks to
    the Debian build farm for finding this problem.
  * Debian: Closes: 654199

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 03 Jan 2012 08:42:57 +1100

libexplain (0.49.D005-1) unstable; urgency=low

  * This change set updates the Aegis config to include the data necessary to
    build a .rpm file from the libexplain.spec file using rpmbuild(1).

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 12 Dec 2011 12:28:32 +1100

libexplain (0.49.D004-1) unstable; urgency=low

  * This change set makes the exe(readlink) string search less particular, so
    that it works in more cases. In this instance, on Fedora 14.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 28 Nov 2011 15:52:32 +1100

libexplain (0.49.D003-1) unstable; urgency=low

  * Explanations are nowe available for errors reported by the realpath(3)
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 16 Nov 2011 08:23:35 +1100

libexplain (0.49.D002-1) unstable; urgency=low

  * This change set fixes a false negative from one of the tests, it only
    happends on 42-bit systems. My thanks to the LaunchPad PPA build farm for
    finding these problems.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 10 Nov 2011 21:17:36 +1100

libexplain (0.49.D001-1) unstable; urgency=low

  * This change set prepares the libexplain project for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 10 Nov 2011 17:30:19 +1100

libexplain (0.48.D006-1) unstable; urgency=low

  * Explanations are now available for errors reported by the shmctl(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 10 Nov 2011 12:44:01 +1100

libexplain (0.48.D005-1) unstable; urgency=low

  * This change set has the explain_buffer_uid and explain_buffer_gid functions
    honor the no-dialect-specific option, making automated tests much easier to
    write.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 10 Nov 2011 08:40:38 +1100

libexplain (0.48.D004-1) unstable; urgency=low

  * This change set refactors ther code to separate explain_buffer_time_t_start
    from explain_buffer_time_t

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 09 Nov 2011 20:31:28 +1100

libexplain (0.48.D003-1) unstable; urgency=low

  * This change set fixes a Karmic build problem.  My thanks to the LaunchPad
    PPA build farm for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 09 Nov 2011 10:46:36 +1100

libexplain (0.48.D002-1) unstable; urgency=low

  * This change set fixes build problems on Ubuntu before 11.11 precise, and
    Linux kernels after about 3.0.
  * My thanks to the LaunchPad PPA build far for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 09 Nov 2011 08:19:39 +1100

libexplain (0.48.D001-1) unstable; urgency=low

  * This change set prepares the libexplain project for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 08 Nov 2011 21:51:49 +1100

libexplain (0.47.D012-1) unstable; urgency=low

  * This change set also verifies that diff is used in a portable way.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 08 Nov 2011 19:55:00 +1100

libexplain (0.47.D011-1) unstable; urgency=low

  * Explanations are now available for errors reported by the shmat(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 08 Nov 2011 19:46:35 +1100

libexplain (0.47.D010-1) unstable; urgency=low

  * This change sewt adds for logic to ./configure to copwe with some ugly
    corner cases.
  * My thanks to the Debian build farm for finding this problem.
  * Debian: Closes: Bug #645745

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 06 Nov 2011 22:00:36 +1100

libexplain (0.47.D009-1) unstable; urgency=low

  * This change set adds a test program to verify certain things about test
    scripts.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 06 Nov 2011 19:10:26 +1100

libexplain (0.47.D008-1) unstable; urgency=low

  * Dagobert Michelsen <dam@opencsw.org> found the test 625 was throwing a false
    negative in his test environment.  It can now cope with stdin being closed.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 05 Nov 2011 12:29:25 +1100

libexplain (0.47.D007-1) unstable; urgency=low

  * This change set fixes a false negatives on Solaris, caused by the need for a
    space before the width in a "fmt -w 800" command.  My thanks to Dagobert
    Michelsen <dam@opencsw.org> for reporting this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 05 Nov 2011 11:48:52 +1100

libexplain (0.47.D006-1) unstable; urgency=low

  * This change fixes a number of warnings thrown by the new version of GCC that
    comes with Ubuntu Oneiric.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 04 Nov 2011 22:55:06 +1100

libexplain (0.47.D005-1) unstable; urgency=low

  * Eric Smith <eric@brouhaha.com> discovered that lsof(1) could report errors
    as executable names, when it couldn't read the symlink.  These non-results
    are now filtered out.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 10 Oct 2011 00:08:17 +1100

libexplain (0.47.D004-1) unstable; urgency=low

  * Eric Smith <eric@brouhaha.com> discovered three false negatives from tests
    of the kill(2) system call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 09 Oct 2011 19:06:36 +1100

libexplain (0.47.D003-1) unstable; urgency=low

  * This change set adds additional text explaining the problem when a user
    attempts to execute a directory.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 06 Oct 2011 17:42:33 +1100

libexplain (0.47.D002-1) unstable; urgency=low

  * This change set fixes the etc/frashmeat.txt so that it is always shallow,
    and thus available in the first change set when uploading stuff to web
    site(s).

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 28 Sep 2011 08:56:13 +1000

libexplain (0.47.D001-1) unstable; urgency=low

  * This change set prepares the libexplain project for the next pulic release.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 27 Sep 2011 22:31:00 +1000

libexplain (0.46.D014-1) unstable; urgency=low

  * Explanations are now available for error reported by the setsid system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 27 Sep 2011 19:10:55 +1000

libexplain (0.46.D013-1) unstable; urgency=low

  * This change change set fixes a build problem on Ububtu Hardy, cause by
    <linux/types.h> defining struct ustat, conflicting with the definition
    supplied by <ustat.h>

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 13 Sep 2011 00:17:40 +1000

libexplain (0.46.D012-1) unstable; urgency=low

  * This change set fixes a problem with integration build versioning, it was
    failing to regenerate etc/version.so at the rioght times.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 08 Sep 2011 00:17:01 +1000

libexplain (0.46.D011-1) unstable; urgency=low

  * The integration build now also prepares input for freshmeat-submit, for use
    each time the web site is updated with a new release.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 07 Sep 2011 23:39:26 +1000

libexplain (0.46.D010-1) unstable; urgency=low

  * This change set adds code to detect these cases where a file descriptor may
    be open for reading and writing, but the I/O stream it is accessed by is
    only open for one of them, and the user trips over it.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 06 Sep 2011 01:02:31 +1000

libexplain (0.46.D009-1) unstable; urgency=low

  * This change et fixes more places where Hardy has a problem including <linux/
    types.h> and <sys/types.h> in the same compilation unit.
  * My thanks to the LaunchPad PPA build farm for finding this bug.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 26 Aug 2011 22:56:36 +1000

libexplain (0.46.D008-1) unstable; urgency=low

  * This change et fixes yet anther problem with including <linux/types.h> and
    <sys/types.h> together in the same compilation unit.
  * My thanks to the LaunchPad PPA build farm for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 26 Aug 2011 19:38:39 +1000

libexplain (0.46.D007-1) unstable; urgency=low

  * This change set fixes a problem on Ubuntu Hardy when you try to include both
    <linux/types.h> and <sys/types.h> in the same compilation unit.
  * My thanks to the LaunchPad PPA build farm for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 26 Aug 2011 18:28:28 +1000

libexplain (0.46.D006-1) unstable; urgency=low

  * This change set removes some possible false negatives when lsof(1) is not as
    helpful as could be desired.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 25 Aug 2011 22:43:14 +1000

libexplain (0.46.D005-1) unstable; urgency=low

  * On older version sof Linux, it is not possible to include both <linux/
    types.h> and <sys/types.h> in the same compilation unit.  The ./configure
    script now detects this, and the code avoids it.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 25 Aug 2011 18:07:42 +1000

libexplain (0.46.D004-1) unstable; urgency=low

  * This change set copes with early versions of the struct serial_rs485 that
    did not have the delay_rts_after_send member.
  * My thanks to the LaunchPad PPA build farm for finding this bug.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 25 Aug 2011 16:56:01 +1000

libexplain (0.46.D003-1) unstable; urgency=low

  * This change set fixes an Ubuntu Hardy build problem.  My thanks to the
    LaunchPad PPA build farm for finding it.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 25 Aug 2011 14:36:31 +1000

libexplain (0.46.D002-1) unstable; urgency=low

  * A build problem has been fixed for the SIOCSHWTSTAMP ioctl request.	 My
    thanks to Michael Bienia <geser@ubuntu.com> for this patch.
  * Closes: Debian: #611652

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 25 Aug 2011 13:43:57 +1000

libexplain (0.46.D001-1) unstable; urgency=low

  * This change set prepares the LibExplain project for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 24 Aug 2011 22:11:48 +1000

libexplain (0.45.D035-1) unstable; urgency=low

  * There is a new test_fileinfo command, used to exercise the lsof(1)
    functionality of libexplain.  This helped to find an lsof(1) bug on solaris
    8 i386.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 23 Aug 2011 21:23:45 +1000

libexplain (0.45.D034-1) unstable; urgency=low

  * This change set copes with systems that do not implement the fdopendir
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 23 Aug 2011 18:07:56 +1000

libexplain (0.45.D033-1) unstable; urgency=low

  * This change set fixes a bunch more Solaris problems, including no %zd printf
    format, and a few other corner cases.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 22 Aug 2011 21:48:12 +1000

libexplain (0.45.D032-1) unstable; urgency=low

  * This change set fixes a number of problems uncovered by the Solaris 9
    porting exercise.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Aug 2011 22:41:24 +1000

libexplain (0.45.D031-1) unstable; urgency=low

  * This change set adds four missing Linux termional ioctl requests, and fixes
    a couple of others.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Aug 2011 11:56:47 +1000

libexplain (0.45.D030-1) unstable; urgency=low

  * This change set gets rid of the last of the PROC_FS_USEFUL code, replacing
    it with much more flexiblae code that can cope with both Solaris and Linux
    style /proc implementations.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 20 Aug 2011 22:41:00 +1000

libexplain (0.45.D029-1) unstable; urgency=low

  * This change et adds code to cope with systems that have the executable path
    at /proc/{pid}/path/a.out rather than /proc/{pid}/exe

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 20 Aug 2011 11:55:11 +1000

libexplain (0.45.D028-1) unstable; urgency=low

  * This change set copes with the place Solaris 9 puts the path symlinks for
    process current directory information.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 20 Aug 2011 01:16:46 +1000

libexplain (0.45.D027-1) unstable; urgency=low

  * This change set improves the fetching of file information from /proc on
    Solaris 9.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 20 Aug 2011 00:00:48 +1000

libexplain (0.45.D026-1) unstable; urgency=low

  * The test_ioctl_coverage command now sorts directories before recursive
    descent.  This gives consistent and predictable results.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 19 Aug 2011 22:30:58 +1000

libexplain (0.45.D025-1) unstable; urgency=low

  * This change set adds missing #include <libexplain/ac/termios.h> to a number
    of the ioctl files.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 19 Aug 2011 22:07:25 +1000

libexplain (0.45.D024-1) unstable; urgency=low

  * This change set nakes the use of getopt_long optional, because not all
    system have it.  (Why does it take decades and decades for good ideas to
    propagate across libc implementations?!?)

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 19 Aug 2011 20:13:28 +1000

libexplain (0.45.D023-1) unstable; urgency=low

  * This change turns off compatibility mode in groff(1). For some weird reason
    Solaris defaults to compatibility on (.cp 1) but libexplain's documenents
    use extended font names and register names (etc) and so they need
    compatibility mode off (.cp 0)

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 19 Aug 2011 19:28:42 +1000

libexplain (0.45.D022-1) unstable; urgency=low

  * The test_ioctl_coverage command has been enhanced to generate skeleton code
    for ioctl requests it discovers.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 19 Aug 2011 15:35:48 +1000

libexplain (0.45.D021-1) unstable; urgency=low

  * This change set fixes a build problem on Solaris 9, where an include file
    was missing for many of the SIOC* ioctl requests.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 19 Aug 2011 10:35:18 +1000

libexplain (0.45.D020-1) unstable; urgency=low

  * The strtof and strtold functions were called from more than one place, so
    insulating implementations are used, rather than duplicate the #ifdef all
    over.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 19 Aug 2011 10:24:45 +1000

libexplain (0.45.D019-1) unstable; urgency=low

  * This change set fixes a build problem caused by assuming gawk features in
    one of the awk scripts used to build libexplain.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 19 Aug 2011 10:06:30 +1000

libexplain (0.45.D018-1) unstable; urgency=low

  * There is a new test_ioct_coverage program, that is used to grope the system
    include directory, looking for ioctl request names that are not yet
    supported.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 19 Aug 2011 00:36:32 +1000

libexplain (0.45.D017-1) unstable; urgency=low

  * This change set fixed a build problem, where mode_t was being redefined.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 19 Aug 2011 00:16:00 +1000

libexplain (0.45.D016-1) unstable; urgency=low

  * This change set makes some improvements to the "Downloads" section of the
    web site.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 14 Aug 2011 23:31:41 +1000

libexplain (0.45.D015-1) unstable; urgency=low

  * This change adds supprt for the ioctl requests defined in <linux/scc.h>

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 14 Aug 2011 22:49:44 +1000

libexplain (0.45.D014-1) unstable; urgency=low

  * The output tee facilities now work without segfaulting to an exit request.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 14 Aug 2011 20:49:40 +1000

libexplain (0.45.D013-1) unstable; urgency=low

  * This change et copes with C compilers that are not C99 conforming, wrt
    <stdint.h> but have <inttypes.h> instead.
  * My thanks to Dagobert Michelsen for reporting this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 14 Aug 2011 19:57:14 +1000

libexplain (0.45.D012-1) unstable; urgency=low

  * This change adds USE/DO_NOT_USE defines for the ioctl disambigute functions.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 14 Aug 2011 19:30:45 +1000

libexplain (0.45.D011-1) unstable; urgency=low

  * This change set copes with systems that do not have the AI_NUMERICSERV
    symbols #defined.
  * My thanks to Dagobert Michelsen for reporting this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 14 Aug 2011 16:28:59 +1000

libexplain (0.45.D010-1) unstable; urgency=low

  * This change set copes with C89 non-compilant C compilers that require <sys/
    types.h> in addition to <stddef.h> to have size_t defined, even though size_
    t has been mandatory in <stddef.h> since 1989.
  * My thanks to Dagobert Michelsen for reporting this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 14 Aug 2011 16:21:57 +1000

libexplain (0.45.D009-1) unstable; urgency=low

  * This change set copes with ancient fmt implementations that can';t cope with
    'fmt -w800' and need 'fmt -w 800' instead.
  * My thanks to Dagobert Michelsen for reporting this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 14 Aug 2011 14:47:39 +1000

libexplain (0.45.D008-1) unstable; urgency=low

  * This change set adds insulation for systems without the strtold system call.
  * My thanks to Dagobert Michelsen for reporting this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 14 Aug 2011 12:28:45 +1000

libexplain (0.45.D007-1) unstable; urgency=low

  * This change et fixes a visibility problem with the explain_putchar_on_error_
    failed function.
  * My thanks to Dagobert Michelsen for reporting this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 14 Aug 2011 11:54:44 +1000

libexplain (0.45.D006-1) unstable; urgency=low

  * This change set adds insulation for systems that do not have the strtof
    system call.
  * My thanks to Dagobert Michelsen for reporting this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 14 Aug 2011 11:21:46 +1000

libexplain (0.45.D005-1) unstable; urgency=low

  * This change set adds insulation for systems without the setenv system call.
  * My thanks to Dagobert Michelsen for reporting this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 14 Aug 2011 01:25:13 +1000

libexplain (0.45.D004-1) unstable; urgency=low

  * This change set insulates against a missing unsetenv system call.
  * My thanks to Dagobert Michelsen for reporting this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 13 Aug 2011 20:36:49 +1000

libexplain (0.45.D003-1) unstable; urgency=low

  * This change set adds insulation to cope with a missing mkdtemp system call.
  * My thanks to Dagobert Michelsen for reporting this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 13 Aug 2011 17:32:17 +1000

libexplain (0.45.D002-1) unstable; urgency=low

  * This change set fixes some build failures on Ubuntu natty.	My thanks to the
    LaunchPad PPA build farm for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 18 Jul 2011 09:08:00 +1000

libexplain (0.45.D001-1) unstable; urgency=low

  * This change set prepares the libexplain project for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 17 Jul 2011 22:14:38 +1000

libexplain (0.44.D029-1) unstable; urgency=low

  * This change et fixes additional build problems found on OpenSolaris.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 15 Jul 2011 08:56:47 +1000

libexplain (0.44.D028-1) unstable; urgency=low

  * This change et fixes a number of OpenSolaris build problems.  My thanks to
    Dagobert Michelsen <dam@opencsw.org> for reporting these problems.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 13 Jul 2011 22:53:49 +1000

libexplain (0.44.D027-1) unstable; urgency=low

  * Dagobert Michelsen <dam@opencsw.org> found and fixed a Solaris build
    problem.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 13 Jul 2011 17:07:05 +1000

libexplain (0.44.D026-1) unstable; urgency=low

  * Dagobert Michelsen <dam@opencsw.org> discovered that the various PDF files
    are now always updated when the web site is updated.  This was caused by a
    build mis-configuration and has been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 13 Jul 2011 16:50:38 +1000

libexplain (0.44.D025-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl
    VIDIOCSVBIFMT system call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 13 Jul 2011 00:03:24 +1000

libexplain (0.44.D024-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl
    VIDIOCGVBIFMT system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 12 Jul 2011 23:45:41 +1000

libexplain (0.44.D023-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOCSAUDIO
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 12 Jul 2011 23:09:29 +1000

libexplain (0.44.D022-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOCGAUDIO
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 12 Jul 2011 22:45:26 +1000

libexplain (0.44.D021-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOCSFREQ
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 12 Jul 2011 21:40:00 +1000

libexplain (0.44.D020-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOCGFREQ
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 12 Jul 2011 19:56:16 +1000

libexplain (0.44.D019-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOCSFBUF
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 12 Jul 2011 19:29:40 +1000

libexplain (0.44.D018-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOCGFBUF
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 12 Jul 2011 18:43:56 +1000

libexplain (0.44.D017-1) unstable; urgency=low

  * Explanations are now available for errors returned by the ioctl
    VIDIOCCAPTURE system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 12 Jul 2011 16:16:31 +1000

libexplain (0.44.D016-1) unstable; urgency=low

  * xplanations are now available for errors reported by the ioctl VIDIOCSTUNER
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 12 Jul 2011 15:43:08 +1000

libexplain (0.44.D015-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOCGTUNER
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 12 Jul 2011 00:09:30 +1000

libexplain (0.44.D014-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOCSPICT
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 11 Jul 2011 22:43:54 +1000

libexplain (0.44.D013-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOCGPICT
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 11 Jul 2011 15:26:22 +1000

libexplain (0.44.D012-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl
    VIDIOCMCAPTURE system call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 11 Jul 2011 09:30:44 +1000

libexplain (0.44.D011-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOCGMBUF
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 10 Jul 2011 13:03:11 +1000

libexplain (0.44.D010-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOCSYNC
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 10 Jul 2011 12:21:51 +1000

libexplain (0.44.D009-1) unstable; urgency=low

  * This change set improves the checking of ioctl explanations to cross check
    agains the sizes incoded into ioctl request numbers.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 10 Jul 2011 12:08:00 +1000

libexplain (0.44.D008-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOCSWIN
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 10 Jul 2011 11:03:53 +1000

libexplain (0.44.D007-1) unstable; urgency=low

  * The v4l2 ioctls now check for EINVAL NULL pointers.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 10 Jul 2011 10:45:27 +1000

libexplain (0.44.D006-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOCGWIN
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 08 Jul 2011 14:55:28 +1000

libexplain (0.44.D005-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOCSCHAN
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 07 Jul 2011 23:10:59 +1000

libexplain (0.44.D004-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOCGCHAN
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 07 Jul 2011 22:09:26 +1000

libexplain (0.44.D003-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOCGCAP
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 07 Jul 2011 12:01:00 +1000

libexplain (0.44.D002-1) unstable; urgency=low

  * This change set fixed a broken  html entity, and also added some more
    download details.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 03 Jul 2011 19:34:29 +1000

libexplain (0.44.D001-1) unstable; urgency=low

  * This change set prepares the libexplain project for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 03 Jul 2011 12:46:49 +1000

libexplain (0.43.D004-1) unstable; urgency=low

  * This change et fixes yet more Hardy build problems.
  * My thanks to the LaunchPad PPA Build farm for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 03 Jul 2011 01:40:56 +1000

libexplain (0.43.D003-1) unstable; urgency=low

  * This change set fixes an Ubuntu Hardy build problem.
  * My thanks to the LaunchPad PPA build farm for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 02 Jul 2011 16:31:32 +1000

libexplain (0.43.D002-1) unstable; urgency=low

  * This change et fixes a build problem with older versions of Linux.	My
    thanks to the LaunchPad PPA build farm for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 02 Jul 2011 14:59:48 +1000

libexplain (0.43.D001-1) unstable; urgency=low

  * This change set prepares the libexplain project for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 02 Jul 2011 12:44:48 +1000

libexplain (0.42.D089-1) unstable; urgency=low

  * It was suggested by Linus Torvalds that the correct solution to the
    ENOTTY.vs.ENOIOCTLCMD debate would be to
  * #define ENOIOCTLCMD ENOTTY
  * This change set is a pre-emptive strike on that actually occurring.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 02 Jul 2011 08:47:30 +1000

libexplain (0.42.D088-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_
    UNSUBSCRIBE_EVENT system call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 01 Jul 2011 22:50:28 +1000

libexplain (0.42.D087-1) unstable; urgency=low

  * This change set fixes problems found when compiling libexplain on FreeBSD.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 01 Jul 2011 22:39:13 +1000

libexplain (0.42.D086-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_
    SUBSCRIBE_EVENT system call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 01 Jul 2011 13:23:51 +1000

libexplain (0.42.D085-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_
    DQEVENT system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 30 Jun 2011 23:55:21 +1000

libexplain (0.42.D084-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_S_HW_
    FREQ_SEEK system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 30 Jun 2011 23:19:11 +1000

libexplain (0.42.D083-1) unstable; urgency=low

  * This change set remove more casts concerned with printing strings.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 30 Jun 2011 23:08:01 +1000

libexplain (0.42.D082-1) unstable; urgency=low

  * This change set removes some casts from the code, allowing printing of
    unsigned char strings without a cast.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 30 Jun 2011 21:28:53 +1000

libexplain (0.42.D081-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_TRY_
    ENCODER_CMD system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 30 Jun 2011 20:00:45 +1000

libexplain (0.42.D080-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_
    ENCODER_CMD system call

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 30 Jun 2011 19:39:52 +1000

libexplain (0.42.D079-1) unstable; urgency=low

  * Explanations are now available for error reported by the ioctl VIDIOC_G_ENC_
    INDEX system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 30 Jun 2011 17:08:03 +1000

libexplain (0.42.D078-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_G_
    SLICED_VBI_CAP system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 30 Jun 2011 15:41:52 +1000

libexplain (0.42.D077-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_S_DV_
    TIMINGS system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 30 Jun 2011 12:45:41 +1000

libexplain (0.42.D076-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_G_DV_
    TIMINGS system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 30 Jun 2011 12:23:39 +1000

libexplain (0.42.D075-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_S_DV_
    PRESET system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 30 Jun 2011 12:09:47 +1000

libexplain (0.42.D074-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_ENUM_
    DV_PRESETS system call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 29 Jun 2011 23:35:03 +1000

libexplain (0.42.D073-1) unstable; urgency=low

  * Explanations are now available for errors returned by the ioctl VIDIOC_G_DV_
    PRESET system call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 29 Jun 2011 22:58:17 +1000

libexplain (0.42.D072-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_
    QUERY_DV_PRESET system call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 29 Jun 2011 22:39:27 +1000

libexplain (0.42.D071-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_S_
    PRIORITY system call

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 29 Jun 2011 21:50:47 +1000

libexplain (0.42.D070-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_G_
    PRIORITY system call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 29 Jun 2011 21:22:29 +1000

libexplain (0.42.D069-1) unstable; urgency=low

  * This change set turns off installation of the libtool *.la file.  The Debian
    folks object to the "almost always useless" files.
  * Debian: Closes: 621621

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 29 Jun 2011 20:10:34 +1000

libexplain (0.42.D068-1) unstable; urgency=low

  * xplanations are now available for errors reported by the ioctl VIDIOC_S_
    JPEGCOMP system call

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 28 Jun 2011 12:35:21 +1000

libexplain (0.42.D067-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_G_
    JPEGCOMP system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 28 Jun 2011 11:24:40 +1000

libexplain (0.42.D066-1) unstable; urgency=low

  * The call arguments printed for ioctl(2) now include the type of the third
    argument.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 28 Jun 2011 10:10:07 +1000

libexplain (0.42.D065-1) unstable; urgency=low

  * Explanations are now available for error reported by the ioctl VIDIOC_S_
    FREQUENCY system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 28 Jun 2011 09:13:01 +1000

libexplain (0.42.D064-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_G_
    FREQUENCY system call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 27 Jun 2011 23:10:07 +1000

libexplain (0.42.D063-1) unstable; urgency=low

  * The data structure describing ioctl requests now includes type information.
    In a later change set, this will permit more information to be added to
    ioctl call details, and maybe even a gcc plugin that checks the type.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 26 Jun 2011 23:09:14 +1000

libexplain (0.42.D062-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_DBG_
    G_CHIP_IDENT system call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 26 Jun 2011 10:11:23 +1000

libexplain (0.42.D061-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_S_
    MODULATOR system call.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 25 Jun 2011 20:34:04 +1000

libexplain (0.42.D060-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_G_
    MODULATOR system call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 24 Jun 2011 22:59:20 +1000

libexplain (0.42.D059-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_S_
    TUNER system call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 24 Jun 2011 20:08:56 +1000

libexplain (0.42.D058-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_G_
    TUNER system call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 24 Jun 2011 18:21:41 +1000

libexplain (0.42.D057-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_DBG_
    S_REGISTER system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 23 Jun 2011 23:16:19 +1000

libexplain (0.42.D056-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_DBG_
    G_REGISTER system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 23 Jun 2011 22:50:26 +1000

libexplain (0.42.D055-1) unstable; urgency=low

  * Explanations are now available for error reported by the ioctl VIDIOC_LOG_
    STATUS system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 23 Jun 2011 22:09:41 +1000

libexplain (0.42.D054-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_TRY_
    EXT_CTRLS system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 23 Jun 2011 21:43:11 +1000

libexplain (0.42.D053-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_S_
    EXT_CTRLS system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 23 Jun 2011 18:00:23 +1000

libexplain (0.42.D052-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_G_
    EXT_CTRLS system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 23 Jun 2011 16:40:12 +1000

libexplain (0.42.D051-1) unstable; urgency=low

  * explanations are now available for errors reported by the ioctl VIDIOC_ENUM_
    FRAMEINTERVALS system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 23 Jun 2011 09:45:47 +1000

libexplain (0.42.D050-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_ENUM_
    FRAMESIZES system call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 22 Jun 2011 22:29:44 +1000

libexplain (0.42.D049-1) unstable; urgency=low

  * Explanations are now availabel for errors reported by the ioctl VIDIOC_S_
    AUDOUT system call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 22 Jun 2011 18:25:53 +1000

libexplain (0.42.D048-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_G_
    AUDOUT system call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 22 Jun 2011 17:46:58 +1000

libexplain (0.42.D047-1) unstable; urgency=low

  * Explanations are now available for the ioctl VIDIOC_ENUMAUDOUT system call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 22 Jun 2011 17:27:37 +1000

libexplain (0.42.D046-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_S_
    AUDIO system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 21 Jun 2011 21:46:14 +1000

libexplain (0.42.D045-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_G_
    AUDIO system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 21 Jun 2011 20:29:58 +1000

libexplain (0.42.D044-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_
    ENUMAUDIO system call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 20 Jun 2011 22:54:27 +1000

libexplain (0.42.D043-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_S_
    OUTPUT system call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 20 Jun 2011 17:38:35 +1000

libexplain (0.42.D042-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioct VIDIOC_G_
    OUTPUT system call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 20 Jun 2011 17:23:27 +1000

libexplain (0.42.D041-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_
    ENUMOUTPUT system call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 19 Jun 2011 15:17:09 +1000

libexplain (0.42.D040-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_S_
    INPUT system call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 19 Jun 2011 14:28:42 +1000

libexplain (0.42.D039-1) unstable; urgency=low

  * explanations are now available for errors reported by the ioctl VIDIOC_G_
    INPUT system call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 19 Jun 2011 12:19:38 +1000

libexplain (0.42.D038-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_
    ENUMINPUT system call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 19 Jun 2011 11:48:03 +1000

libexplain (0.42.D037-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_S_
    PARM syste call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 19 Jun 2011 00:48:07 +1000

libexplain (0.42.D036-1) unstable; urgency=low

  * This change set refactors the name of the is_fault functions, to better map
    file names onto functiosn and function hierarchies.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 18 Jun 2011 23:49:00 +1000

libexplain (0.42.D035-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_G_
    PSARM system call.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 18 Jun 2011 20:38:09 +1000

libexplain (0.42.D034-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_
    QUERYSTD system call.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 18 Jun 2011 18:46:15 +1000

libexplain (0.42.D033-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_S_STD
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 18 Jun 2011 18:17:33 +1000

libexplain (0.42.D032-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_G_STD
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 18 Jun 2011 17:09:59 +1000

libexplain (0.42.D031-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_
    ENUMSTD system call.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 18 Jun 2011 16:16:03 +1000

libexplain (0.42.D030-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_S_
    FBUF system call.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 18 Jun 2011 09:31:06 +1000

libexplain (0.42.D029-1) unstable; urgency=low

  * The printing of the v4l2_capability struct has been improved.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 18 Jun 2011 00:13:31 +1000

libexplain (0.42.D028-1) unstable; urgency=low

  * This change set fixes a common type in commands and documentation.
  * fucntion => function

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 17 Jun 2011 23:58:11 +1000

libexplain (0.42.D027-1) unstable; urgency=low

  * There is a new test_v4l2 command, that can be used to query a V4l2 device
    and print verbose amounts of information, as much as can be obtained through
    the V4L2 query API.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 17 Jun 2011 23:45:20 +1000

libexplain (0.42.D026-1) unstable; urgency=low

  * explanations are now available for errors reported by the ioctl VISIOC_G_
    FBUF system call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 17 Jun 2011 19:53:27 +1000

libexplain (0.42.D025-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_ENUM_
    FMT system call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 17 Jun 2011 08:55:28 +1000

libexplain (0.42.D024-1) unstable; urgency=low

  * Explanations are now available for error reported by the ioctl VIDIOC_
    OVERLAY system call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 17 Jun 2011 08:07:12 +1000

libexplain (0.42.D023-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_
    QUERYMENU system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 16 Jun 2011 22:27:35 +1000

libexplain (0.42.D022-1) unstable; urgency=low

  * explanations are now available for errors returned by the ioctl VIDIOC_
    REQBUFS system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 16 Jun 2011 17:27:13 +1000

libexplain (0.42.D021-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_DQBUF
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 16 Jun 2011 15:48:17 +1000

libexplain (0.42.D020-1) unstable; urgency=low

  * Explanations are now available for error reported by the ioctl VIDIOC_QBUF
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 13 Jun 2011 23:01:07 +1000

libexplain (0.42.D019-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_
    QUERYBUF system call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 13 Jun 2011 19:48:26 +1000

libexplain (0.42.D018-1) unstable; urgency=low

  * This change et refactors the 'argument not supported by the device' messages
    present in most of the V4L2 ioctl requests.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 13 Jun 2011 16:47:23 +1000

libexplain (0.42.D017-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_S_
    CROP system call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 13 Jun 2011 16:14:30 +1000

libexplain (0.42.D016-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_G_
    CROP system call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 13 Jun 2011 12:24:55 +1000

libexplain (0.42.D015-1) unstable; urgency=low

  * Explanations are now available fro errors reported by the ioctl VIDIOC_
    CROPCAP system call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 13 Jun 2011 11:58:12 +1000

libexplain (0.42.D014-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_TRY_
    FMT system call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 13 Jun 2011 11:14:53 +1000

libexplain (0.42.D013-1) unstable; urgency=low

  * Explanations are now available for error reported by the ioctl VIDIOC_
    QUERYCAPsystem call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 13 Jun 2011 01:10:04 +1000

libexplain (0.42.D012-1) unstable; urgency=low

  * Explanations are now available for error reported by the ioctl VIDIOC_
    STREAMON system call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 13 Jun 2011 00:22:58 +1000

libexplain (0.42.D011-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_
    STREAMOFF system call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 13 Jun 2011 00:06:23 +1000

libexplain (0.42.D010-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_S_FMT
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 12 Jun 2011 23:36:41 +1000

libexplain (0.42.D009-1) unstable; urgency=low

  * Explanations are now available for error reported by the ioctl VIDIOC_G_FMT
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 12 Jun 2011 22:19:19 +1000

libexplain (0.42.D008-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ioctl VIDIOC_S_
    CTRL system call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 12 Jun 2011 17:04:14 +1000

libexplain (0.42.D007-1) unstable; urgency=low

  * Explanatiosn are now available for error reported by the ioctl VIDIOC_G_CTRL
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 12 Jun 2011 16:22:08 +1000

libexplain (0.42.D006-1) unstable; urgency=low

  * The debug message that suggests source files to improve now better
    understands ioctl errors.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 12 Jun 2011 16:18:19 +1000

libexplain (0.42.D005-1) unstable; urgency=low

  * This change set adds vim mode lines to all of the new file templates.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 12 Jun 2011 15:55:15 +1000

libexplain (0.42.D004-1) unstable; urgency=low

  * The error messages now include more information about block and character
    special devices, when printing file types.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 12 Jun 2011 01:54:35 +1000

libexplain (0.42.D003-1) unstable; urgency=low

  * Explanations are now available for errors returned by the ioctl VIDIOC_
    QUERYCTRL system call.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 11 Jun 2011 22:47:54 +1000

libexplain (0.42.D002-1) unstable; urgency=low

  * This change set fixes a typo in a man page.	 Not visual effect.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 11 Jun 2011 20:19:15 +1000

libexplain (0.42.D001-1) unstable; urgency=low

  * This change set prepares the libexplain project for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 26 May 2011 22:22:48 +1000

libexplain (0.41.D005-1) unstable; urgency=low

  * This change set adds an \"ldconfig\" hint to the BUILDING instructions.  My
    thanks to Blake McBride <blake@arahant.com> for this suggestion.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 26 May 2011 13:58:15 +1000

libexplain (0.41.D004-1) unstable; urgency=low

  * If we aren't using -lcompat on *BSD, the maybe we could be a little more
    gentle with them when ftime isn't present.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 21 May 2011 17:26:18 +1000

libexplain (0.41.D003-1) unstable; urgency=low

  * Emanuel Haupt <ehaupt@critical.ch> reported several problems building
    libexplain on FreeBSD.  These have been fixed.
  * Note that many of the tests will fail when run in chroot jails, because when
    libexplain is asking for a process's cwd via lsof(1), it gets "/usr -- home/
    jails/portjail/tmp/libexplain-nnnn" instead of "/tmp/libexplain-nnnn". This
    leads libexplain to conclude that it should use the absolute path form of
    the directory name, not ".", which then does not match the expected output.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 20 May 2011 23:22:35 +1000

libexplain (0.41.D002-1) unstable; urgency=low

  * The explanation given when a file is not found, in particular the suggestion
    of a similarly named file, is now placed into the footnotes, not the main
    body of the explanation.  This better copes with varying language grammars.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 14 May 2011 22:54:23 +1000

libexplain (0.41.D001-1) unstable; urgency=low

  * This change set prepares for the next pub;ic release of the libexplain
    project.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 15 Mar 2011 20:48:25 +1100

libexplain (0.40.D012-1) unstable; urgency=low

  * This change set removes the use of the word "template" so that the code will
    work with C++.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 15 Mar 2011 16:03:51 +1100

libexplain (0.40.D011-1) unstable; urgency=low

  * Explanations are now availaible for errors reported by the setpgrp system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 01 Feb 2011 20:21:58 +1100

libexplain (0.40.D010-1) unstable; urgency=low

  * Explanations are now available for error reported by the setgpid system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 01 Feb 2011 18:52:26 +1100

libexplain (0.40.D009-1) unstable; urgency=low

  * Explanations are now available for errors reported by the getpgrp(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 01 Feb 2011 13:47:17 +1100

libexplain (0.40.D008-1) unstable; urgency=low

  * Explanations are now available for errors reported by the getpgid system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 01 Feb 2011 11:15:48 +1100

libexplain (0.40.D007-1) unstable; urgency=low

  * This change set makes the ptrace functions less fussy about having their
    return values used.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 25 Dec 2010 21:38:04 +1100

libexplain (0.40.D006-1) unstable; urgency=low

  * This change set fixes several spelling errors in the error messages.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 25 Dec 2010 21:32:29 +1100

libexplain (0.40.D005-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ptrace(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 25 Dec 2010 20:10:19 +1100

libexplain (0.40.D004-1) unstable; urgency=low

  * This change et ensures that the debian/changelog is recreated each time

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 11 Nov 2010 15:04:31 +1100

libexplain (0.40.D003-1) unstable; urgency=low

  * This change set fixesa build problem on the Ubuntu Natty release.  My thanks
    to the LaunchPad PPA build farm for finding this problem.
  * This was also noticed by Michael Bienia <geser@ubuntu.com> who was kind
    enough as to send a patch.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 11 Nov 2010 12:49:53 +1100

libexplain (0.40.D002-1) unstable; urgency=low

  * This change set adds natty to the list of Ubuntu releases for upload.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 11 Nov 2010 12:13:16 +1100

libexplain (0.40.D001-1) unstable; urgency=low

  * This change set prepares the libexplain project for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 05 Oct 2010 23:09:54 +1100

libexplain (0.39.D012-1) unstable; urgency=low

  * This change set fixes a problem preventing an 8 column hanging indent on an
    80 character terminal.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 05 Oct 2010 20:04:09 +1100

libexplain (0.39.D011-1) unstable; urgency=low

  * This change set corrects several test suite false negatives found on
    FreeBSD.
  * My thanks to Davide Italiano <davide.italiano@gmail.com> for reporting this
    problem.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 05 Oct 2010 00:33:54 +1100

libexplain (0.39.D010-1) unstable; urgency=low

  * This change set corrects several test suite false negatives found on
    FreeBSD.
  * My thanks to Davide Italiano <davide.italiano@gmail.com> for reporting this
    problem.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 04 Oct 2010 21:59:33 +1100

libexplain (0.39.D009-1) unstable; urgency=low

  * This change set corrects several test suite false negatives found on
    FreeBSD.
  * My thanks to Davide Italiano <davide.italiano@gmail.com> for reporting this
    problem.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 04 Oct 2010 17:07:10 +1100

libexplain (0.39.D008-1) unstable; urgency=low

  * This change et fixes a number of problems that prevented libexplain form
    building cleanly on FreeBSD.
  * My thanks to Davide Italiano <davide.italiano@gmail.com> for reporting this
    problem.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 27 Sep 2010 18:25:01 +1000

libexplain (0.39.D007-1) unstable; urgency=low

  * Explanations are now available for errors reported by the poll92) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 14 Sep 2010 15:02:07 +1000

libexplain (0.39.D006-1) unstable; urgency=low

  * The ppa-upload script has been changed to prefer the latest tarball, rather
    than the oldest.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 14 Sep 2010 12:00:45 +1000

libexplain (0.39.D005-1) unstable; urgency=low

  * Explanations are now available for errors reported by the calloc(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 14 Sep 2010 11:50:52 +1000

libexplain (0.39.D004-1) unstable; urgency=low

  * The ./configure of the <linux/ppp_defs.h> file failed because, for maximum
    backwards portability, you must include the <linux/types.h> before it.
    Special handling has been added to ./configure for this case.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 14 Sep 2010 09:07:08 +1000

libexplain (0.39.D003-1) unstable; urgency=low

  * The timerfd functionality was introduced after Ubuntu Hardy, and the code
    was not coping with that particularly well.	 This has been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 12 Sep 2010 20:28:24 +1000

libexplain (0.39.D002-1) unstable; urgency=low

  * A build problem on Ubuntu Hardy has been fixed, coping with symbols missing
    from <linux/if_vlan.h>
  * My thanks to the LaunchPad PPA build farm for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 12 Sep 2010 18:17:17 +1000

libexplain (0.39.D001-1) unstable; urgency=low

  * This change set prepares the libexplain project for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 12 Sep 2010 16:58:11 +1000

libexplain (0.38.D006-1) unstable; urgency=low

  * This change set adds a link from the Download page to the PPA.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 12 Sep 2010 16:27:51 +1000

libexplain (0.38.D005-1) unstable; urgency=low

  * A number of symbols are absent from older versions of <linux/cdrom.h>,
    coditional code has been deed fro them.
  * My thanks to the Ubuntu PPA build farm for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 12 Sep 2010 15:41:48 +1000

libexplain (0.38.D004-1) unstable; urgency=low

  * This change set adds a PPA upload script, for use after each release.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 12 Sep 2010 14:57:55 +1000

libexplain (0.38.D003-1) unstable; urgency=low

  * The website download links ahve been improved.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 11 Sep 2010 23:32:27 +1000

libexplain (0.38.D002-1) unstable; urgency=low

  * One of the files missed the .XX conditional, causing rpmlint(1) and
    lintian(1) to complain.
  * My thanks to Eric Smith for reporting this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 08 Sep 2010 13:06:25 +1000

libexplain (0.38.D001-1) unstable; urgency=low

  * This change set prepares the libexplain project for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 08 Sep 2010 08:40:57 +1000

libexplain (0.37.D004-1) unstable; urgency=low

  * The BUILDING file now recommends --prefix=/usr in its examples, as this
    causes minimum problems linking to other libraries.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 07 Sep 2010 23:40:15 +1000

libexplain (0.37.D003-1) unstable; urgency=low

  * This change set fixes a couple of build problems on Fedora 13.
  * My thanks to Eric Smith for reporting this problem.
  * Debian: Closes: 611652

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 07 Sep 2010 23:10:38 +1000

libexplain (0.37.D002-1) unstable; urgency=low

  * The license of the libexplain/config.h file has been updated to the the
    LGPL.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 27 Aug 2010 22:03:09 +1000

libexplain (0.37.D001-1) unstable; urgency=low

  * This change set prepares the libexplain project for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 27 Aug 2010 12:09:04 +1000

libexplain (0.36.D003-1) unstable; urgency=low

  * The library source files are supposed to be LGPL, however over 1000 of them
    were GPL (about 20%).  This has been fixed.
  * My thanks to Eric Smith <eric@brouhaha.com> for reporting this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 25 Aug 2010 16:37:04 +1000

libexplain (0.36.D002-1) unstable; urgency=low

  * A coupel of problems builting on Fedora 13 have been fixed.
  * My thanks to Eric Smith <eric@brouhaha.com> for reporting this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 25 Aug 2010 11:23:47 +1000

libexplain (0.36.D001-1) unstable; urgency=low

  * This change setprepares the libexplain project for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 25 Aug 2010 00:50:17 +1000

libexplain (0.35.D007-1) unstable; urgency=low

  * False negatives from six tests have been fixed on Linux ia64.
  * My thanks to the Debian aysadmin team for making a porterbox available.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 25 Aug 2010 00:16:06 +1000

libexplain (0.35.D006-1) unstable; urgency=low

  * Six false negatives of tests have been fixed, they were using the wrong
    regex for sanitizing pointer values in messages.
  * A build problem concerning <fcntl.h> has been fixed: it turns out that on
    Liunux alpha <fcntl.h> has the wrong values for O_LARGEFILE and O_DIRECTORY,
    and you must use <linux/fcntl.h> instead.
  * My thanks to the Debian sysadmin team for making an Alpha "porter box"
    available.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 24 Aug 2010 23:05:36 +1000

libexplain (0.35.D005-1) unstable; urgency=low

  * A build problem on Linux alpha has been fixed. The problem was inconsistent
    include file contents on that one architecture, the solution was to
    conditionally include the correct include file.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 16 Aug 2010 20:13:38 +1000

libexplain (0.35.D004-1) unstable; urgency=low

  * use a transparent OSI logo, rathe r than one with a white background.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 16 Aug 2010 19:52:03 +1000

libexplain (0.35.D003-1) unstable; urgency=low

  * A bug has been fixed in test 266, it was getting a segfault rather than
    reporting on the error of interest.
  * found by Debian build farm, on ia64

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 16 Aug 2010 19:21:37 +1000

libexplain (0.35.D002-1) unstable; urgency=low

  * This change set removes a large unused image file.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 16 Aug 2010 19:12:08 +1000

libexplain (0.35.D001-1) unstable; urgency=low

  * This change set prepares libexplain for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 15 Aug 2010 14:10:28 +1000

libexplain (0.34.D008-1) unstable; urgency=low

  * This change set adds an "antique paper" background to the web site.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 07 Aug 2010 18:40:45 +1000

libexplain (0.34.D007-1) unstable; urgency=low

  * This change set attempts to fix a build on the "alpha" architecture, without
    actually having an alpha to play with.  The problem was in the handling of
    'struct sgttyb' that is defined in a different system include file than
    other Linux architectures.	Found by the Debian build farm.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 07 Aug 2010 15:51:05 +1000

libexplain (0.34.D006-1) unstable; urgency=low

  * This change set fixes a test 265 false negative, ia64 architecture.	 Found
    by the debian build farm.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 07 Aug 2010 15:48:31 +1000

libexplain (0.34.D005-1) unstable; urgency=low

  * This change set fixes a false negative for test 56, found by the Debian
    ports build farm, sparc64 architecture.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 07 Aug 2010 15:25:52 +1000

libexplain (0.34.D004-1) unstable; urgency=low

  * This change set fixes a warning from lintian(1), that macro XX is not
    defined

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 07 Aug 2010 15:02:36 +1000

libexplain (0.34.D003-1) unstable; urgency=low

  * The BUILDING document goes into more detail about things that can cause
    testing false negatives.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 07 Aug 2010 14:53:17 +1000

libexplain (0.34.D002-1) unstable; urgency=low

  * The man pages have been fixed so that they no longer contain unescaped
    hyphen characters, as warned about by the lintian(1) program.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 07 Aug 2010 14:40:52 +1000

libexplain (0.34.D001-1) unstable; urgency=low

  * This change set prepares the libexplain project for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 07 Aug 2010 12:59:05 +1000

libexplain (0.33.D003-1) unstable; urgency=low

  * Some tests are difficult because the Debian build environment can vary
    widely.  Sometimes it's a chroot, sometimes it's a VM, sometimes it's
    fakeroot, sometimes it really is running as root.  All these affect the
    ability of the library to probe the system looking for the proximal cause of
    the error, e.g. the error in question ENOSPC.  This often results in 2 or 4
    or 8 acceptable explanations of an error, depending on what the library
    finds, e.g. existence of useful information in the mount table, or not.
  * Debian: 579240

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 07 Aug 2010 12:09:16 +1000

libexplain (0.33.D002-1) unstable; urgency=low

  * There is a new hanging-indent option, that can be set from the EXPLAIN_
    OPTION environment variable. It defaults to zero for backwards
    compatibility. Applications may set it using the explain_option_hanging_
    indent_set(3) function.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 11 Jul 2010 18:29:50 +1000

libexplain (0.33.D001-1) unstable; urgency=low

  * This change set prepares the libexplain project for the next public release.
    See below for details.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 04 Jul 2010 17:49:24 +1000

libexplain (0.32.D009-1) unstable; urgency=low

  * Some minor errors in the libexplain/program_name.h include file have been
    fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 01 Jul 2010 17:30:25 +1000

libexplain (0.32.D008-1) unstable; urgency=low

  * This change set copes with chrrots when running the tests.
  * Found by the Debian build farm.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 29 Jun 2010 22:52:58 +1000

libexplain (0.32.D007-1) unstable; urgency=low

  * This change set fixes test 546, it could not cope with differing page sizes.
  * Found by the Debian build farm.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 29 Jun 2010 22:40:10 +1000

libexplain (0.32.D006-1) unstable; urgency=low

  * This change set fixes a false negative when testing utime(2).  It turns out
    that some kernels don't accept a NULL pointer for the time.	 Oops.	The test
    dopesn't go through utime(2), but direct to the explanation.
  * Found by the Debian build farm.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 29 Jun 2010 22:19:39 +1000

libexplain (0.32.D005-1) unstable; urgency=low

  * This change set attempts to cope with a Debian alpha build problem, but
    without really having access to a Debian alpha machine.
  * Found by the Debian build farm.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 29 Jun 2010 21:33:13 +1000

libexplain (0.32.D004-1) unstable; urgency=low

  * There is a new explain_output_error function for printing formatted error
    messages.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 23 Jun 2010 20:24:53 +1000

libexplain (0.32.D003-1) unstable; urgency=low

  * There is a new explain_output_message_and_die function, that may be used to
    print an error message and then exit failure.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 23 Jun 2010 19:13:01 +1000

libexplain (0.32.D002-1) unstable; urgency=low

  * Some systems vale mmap report (void*)(-1) instread of NULL for errors.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 23 Jun 2010 13:22:09 +1000

libexplain (0.32.D001-1) unstable; urgency=low

  * This change set prepares the libexplain project for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 22 Jun 2010 23:56:03 +1000

libexplain (0.31.D010-1) unstable; urgency=low

  * Explanations are now available for errors reported my the munmap(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 22 Jun 2010 23:12:54 +1000

libexplain (0.31.D009-1) unstable; urgency=low

  * The test needed a pointer that was more obviously broken.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 22 Jun 2010 21:07:35 +1000

libexplain (0.31.D008-1) unstable; urgency=low

  * Explanations are now available for errors reported by the mmap(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 22 Jun 2010 21:00:26 +1000

libexplain (0.31.D007-1) unstable; urgency=low

  * This change set adds <sys/ioctl.h> to as many of the libexplain/iocontol/*.c
    files as possible.	This will help with systems that do not have indempotent
    ioctl definition files.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 22 Jun 2010 20:07:33 +1000

libexplain (0.31.D006-1) unstable; urgency=low

  * This change set fixes a bug in test/00/t0039a.sh, it wasn't invoking diff
    correctly.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 22 Jun 2010 18:53:40 +1000

libexplain (0.31.D005-1) unstable; urgency=low

  * Explanations are now available for errors reported by the utimes(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 22 Jun 2010 12:19:32 +1000

libexplain (0.31.D004-1) unstable; urgency=low

  * The output of explain_pclose_success_or_die looks a bit strange, because it
    wasn't passing down the file pointer (even though, quite correctly, it
    wasn't meaningful any more).

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 15 Jun 2010 15:11:24 +1000

libexplain (0.31.D003-1) unstable; urgency=low

  * A bug has been fixed in the libexplain/output.h file, it was missing the C++
    insulation.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 22 May 2010 19:02:19 +1000

libexplain (0.31.D002-1) unstable; urgency=low

  * The tests that look for mount points break in some chroot jails, so they
    have been made more rubust for this situation.
  * My thanks to Eric Smith <eric@brouhaha.com> for reporting this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 12 May 2010 08:41:58 +1000

libexplain (0.31.D001-1) unstable; urgency=low

  * This change set prepares LibExplain for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 01 May 2010 12:09:31 +1000

libexplain (0.30.D004-1) unstable; urgency=low

  * This change set fixes a test false negative on the Debian s390 architecture.
  * My thanks to the Debian build farm for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 01 May 2010 10:38:26 +1000

libexplain (0.30.D003-1) unstable; urgency=low

  * A testing false negative has been fix on the Debian ia64 architecture.
  * My thanks to the Debian build farm for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 01 May 2010 10:17:59 +1000

libexplain (0.30.D002-1) unstable; urgency=low

  * This change set fixes a build problem on Debian alpha architecture.
  * My thanks to the Debian build farm for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 01 May 2010 10:03:57 +1000

libexplain (0.30.D001-1) unstable; urgency=low

  * This change set prepares LibExplain for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 28 Apr 2010 13:19:54 +1000

libexplain (0.29.D007-1) unstable; urgency=low

  * It is common, particularly in error cleanup, to call unlink and not test the
    result.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 28 Apr 2010 11:40:22 +1000

libexplain (0.29.D006-1) unstable; urgency=low

  * This change set fixes a false negative on the sparc architecture.
  * My thanks to the Debian build farm for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 28 Apr 2010 11:32:47 +1000

libexplain (0.29.D005-1) unstable; urgency=low

  * This change set fixes a test false negative on the ia64 architecture.
  * My thanks to the Debian build farm for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 28 Apr 2010 11:29:30 +1000

libexplain (0.29.D004-1) unstable; urgency=low

  * This change set fixes a test false negative on the hppa architecture.
  * My thanks to the Debian build farm for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 28 Apr 2010 11:27:19 +1000

libexplain (0.29.D003-1) unstable; urgency=low

  * This change set fixes a test false negative.
  * My thanks to the Debian build farm for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 28 Apr 2010 11:17:19 +1000

libexplain (0.29.D002-1) unstable; urgency=low

  * This change set fixes a test false negative.
  * My thanks to the Debian build farm for finding this problem.
  * Closes: 579240

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 28 Apr 2010 11:06:55 +1000

libexplain (0.29.D001-1) unstable; urgency=low

  * This change set prepares LibExplain for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 25 Apr 2010 15:32:15 +1000

libexplain (0.28.D008-1) unstable; urgency=low

  * This change set fixes a test false neggatived discovered by the debian build
    farm on the sparc architecture.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 20 Apr 2010 12:47:45 +1000

libexplain (0.28.D007-1) unstable; urgency=low

  * This change set fixes a false negative discovered by the debian build farm
    on the s390 architecture.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 20 Apr 2010 12:43:11 +1000

libexplain (0.28.D006-1) unstable; urgency=low

  * This change set fixes a problem with t0229a segfaulting. This was discovered
    by the debian build farm.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 20 Apr 2010 12:37:28 +1000

libexplain (0.28.D005-1) unstable; urgency=low

  * This change set fixes a false negative from a test, discovered by the debian
    build farm on the hppa architecture.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 20 Apr 2010 11:50:53 +1000

libexplain (0.28.D004-1) unstable; urgency=low

  * This change set fixes a test false negative, discovered by the debian build
    farm in the armel architecture.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 20 Apr 2010 11:48:04 +1000

libexplain (0.28.D003-1) unstable; urgency=low

  * This change set fixes a build problem discovered by the debian build farm on
    the alpha architecture.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 20 Apr 2010 11:32:47 +1000

libexplain (0.28.D002-1) unstable; urgency=low

  * This change set fixes a built problem on Ubuntu Jaunty

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 19 Apr 2010 23:02:19 +1000

libexplain (0.28.D001-1) unstable; urgency=low

  * This change set prepares LibExplain for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 19 Apr 2010 18:39:57 +1000

libexplain (0.27.D006-1) unstable; urgency=low

  * This change fixes a false negative from one of the tests on the hppa
    architecture.
  * This problem was found by the Debian build farm.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 19 Apr 2010 18:05:49 +1000

libexplain (0.27.D005-1) unstable; urgency=low

  * This change set fixes a problem on Debian alpha architecture.
  * This problem was found by the Debian build farm.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 19 Apr 2010 18:02:44 +1000

libexplain (0.27.D004-1) unstable; urgency=low

  * This change fixes a false negative in one of the tests.  The problem is to
    come up with an invalid pointer value that is invalid across all systems and
    arhcitectures.
  * This problem was found by the Debian build farm.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 19 Apr 2010 17:57:07 +1000

libexplain (0.27.D003-1) unstable; urgency=low

  * This change set fixes a build problem on the Debian sparc build.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 19 Apr 2010 02:00:27 +1000

libexplain (0.27.D002-1) unstable; urgency=low

  * The decoding of unknown ioctl request numbers has been simplicied, and also
    avoids typing to create types of size zero.
  * This bug was found by the debian build farm.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 18 Apr 2010 22:36:09 +1000

libexplain (0.27.D001-1) unstable; urgency=low

  * This change set prepares LibExplain for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 17 Apr 2010 15:00:58 +1000

libexplain (0.26.D006-1) unstable; urgency=low

  * This change fixes a false negatives from one of the tests on the debian s390
    architecture.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 16 Apr 2010 20:03:04 +1000

libexplain (0.26.D005-1) unstable; urgency=low

  * This change set fixes a build problem on the debian mips and mipsel
    architectures.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 16 Apr 2010 19:27:14 +1000

libexplain (0.26.D004-1) unstable; urgency=low

  * This change set fixes a build problem (test false negative) on the debian
    ia64 architecture.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 16 Apr 2010 19:14:25 +1000

libexplain (0.26.D003-1) unstable; urgency=low

  * This change set fixes a bug on the alpha architecture, because it iss one of
    those weird architectures that va_list is not compatible with void*, and a
    function argument was unused in that case.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 16 Apr 2010 18:40:06 +1000

libexplain (0.26.D002-1) unstable; urgency=low

  * A build problem on debian sparc has been fixed.  It occurs when FFSYNC is
    defined as O_FSUNC but, and this is a big but, O_FSYNC is not defined.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 16 Apr 2010 17:28:57 +1000

libexplain (0.26.D001-1) unstable; urgency=low

  * This change set prepares LibExplain for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 06 Apr 2010 12:15:01 +1000

libexplain (0.25.D005-1) unstable; urgency=low

  * A build problem has been fixed on systems where va_list is not compaitible
    with const void *
  * My thanks to Conrad Parker for reporting this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 05 Apr 2010 23:31:24 +1000

libexplain (0.25.D004-1) unstable; urgency=low

  * This change set removes the unused-result warning form explain_lseek_or_die,
    becaus eit is very common to ignore the result.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 03 Apr 2010 12:10:47 +1100

libexplain (0.25.D003-1) unstable; urgency=low

  * Explaiantions are now available for errors reported by the socketpair(2)
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 02 Apr 2010 14:27:18 +1100

libexplain (0.25.D002-1) unstable; urgency=low

  * This change set adds a little more information to the Debian upload
    instructions.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 22 Mar 2010 23:28:17 +1100

libexplain (0.25.D001-1) unstable; urgency=low

  * This change set prepares LibExplain for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 22 Mar 2010 21:00:45 +1100

libexplain (0.24.D051-1) unstable; urgency=low

  * Some potential portability problems have been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 22 Mar 2010 18:59:25 +1100

libexplain (0.24.D050-1) unstable; urgency=low

  * A numbver of portability fixes have been made.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 22 Mar 2010 18:26:06 +1100

libexplain (0.24.D049-1) unstable; urgency=low

  * Some this that affected protability have been improved.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 22 Mar 2010 17:38:48 +1100

libexplain (0.24.D048-1) unstable; urgency=low

  * This change set fixes some portability issues.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 22 Mar 2010 17:22:44 +1100

libexplain (0.24.D047-1) unstable; urgency=low

  * This change set adds an new test program that scans the source file looking
    for subtle include file problems that can affect portability.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 22 Mar 2010 15:59:50 +1100

libexplain (0.24.D046-1) unstable; urgency=low

  * A build problem with $syscall on i386 has been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 22 Mar 2010 10:32:56 +1100

libexplain (0.24.D045-1) unstable; urgency=low

  * A build problem with $syscall on i386 has been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 22 Mar 2010 10:11:21 +1100

libexplain (0.24.D044-1) unstable; urgency=low

  * The way coverage is calculated has been fimplified.	 This should result in
    build improvements.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 22 Mar 2010 09:36:47 +1100

libexplain (0.24.D043-1) unstable; urgency=low

  * A build problem with getgroups on i386 has been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 22 Mar 2010 09:24:10 +1100

libexplain (0.24.D042-1) unstable; urgency=low

  * A build problem with getdomainname on i386 has been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Mar 2010 23:20:17 +1100

libexplain (0.24.D041-1) unstable; urgency=low

  * A build problem with getcwd on i386 has been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Mar 2010 22:56:00 +1100

libexplain (0.24.D040-1) unstable; urgency=low

  * A build problem with getchar on i386 has been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Mar 2010 22:27:46 +1100

libexplain (0.24.D039-1) unstable; urgency=low

  * A build problem with getc on i386 has been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Mar 2010 22:01:40 +1100

libexplain (0.24.D038-1) unstable; urgency=low

  * A build problem with fwrite on i386 has been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Mar 2010 21:27:13 +1100

libexplain (0.24.D037-1) unstable; urgency=low

  * A build problem with ftime on i386 has been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Mar 2010 21:08:53 +1100

libexplain (0.24.D036-1) unstable; urgency=low

  * A build problem with ftell on i386 has been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Mar 2010 20:31:24 +1100

libexplain (0.24.D035-1) unstable; urgency=low

  * A build problem with fsetpos on i386 has been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Mar 2010 19:42:54 +1100

libexplain (0.24.D034-1) unstable; urgency=low

  * A build problem with fseek on i386 has been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Mar 2010 18:50:39 +1100

libexplain (0.24.D033-1) unstable; urgency=low

  * A build problem with freopen on i386 has been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Mar 2010 18:23:25 +1100

libexplain (0.24.D032-1) unstable; urgency=low

  * A build problem with fraed on i386 has been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Mar 2010 17:35:47 +1100

libexplain (0.24.D031-1) unstable; urgency=low

  * A build problem with fputc on i386 has been fixed

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Mar 2010 17:09:15 +1100

libexplain (0.24.D030-1) unstable; urgency=low

  * A build problem with fpurge on i386 has been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Mar 2010 16:37:07 +1100

libexplain (0.24.D029-1) unstable; urgency=low

  * A build problem with fopen on i386 has been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Mar 2010 16:08:56 +1100

libexplain (0.24.D028-1) unstable; urgency=low

  * A build problem with fileno on i386 has been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Mar 2010 15:10:40 +1100

libexplain (0.24.D027-1) unstable; urgency=low

  * A build problem with fgets in i386 has been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Mar 2010 14:35:47 +1100

libexplain (0.24.D026-1) unstable; urgency=low

  * A build problem with fgetpos on i386 has been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Mar 2010 14:02:56 +1100

libexplain (0.24.D025-1) unstable; urgency=low

  * A biuild problem with fgetc in i386 has been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Mar 2010 13:32:08 +1100

libexplain (0.24.D024-1) unstable; urgency=low

  * A build problem with ferror on i386 has been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Mar 2010 12:53:32 +1100

libexplain (0.24.D023-1) unstable; urgency=low

  * A build problem with fdopen on i386 has been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Mar 2010 12:37:25 +1100

libexplain (0.24.D022-1) unstable; urgency=low

  * This change fixes a fflush i386 build problem.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Mar 2010 12:18:55 +1100

libexplain (0.24.D021-1) unstable; urgency=low

  * The explain(3) man page now mentions AC_SYS_LARGEFILE in the building
    requirements.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Mar 2010 12:01:24 +1100

libexplain (0.24.D020-1) unstable; urgency=low

  * This change fixes a feof i386 build problem.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Mar 2010 11:50:33 +1100

libexplain (0.24.D019-1) unstable; urgency=low

  * This change fixes a fdopendir i386 build problem.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Mar 2010 11:34:35 +1100

libexplain (0.24.D018-1) unstable; urgency=low

  * This change fixes a fclose i386 build problem.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Mar 2010 11:10:05 +1100

libexplain (0.24.D017-1) unstable; urgency=low

  * The non-verbose build output has been improved slightly (for inceased
    brevity).

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Mar 2010 10:57:29 +1100

libexplain (0.24.D016-1) unstable; urgency=low

  * This change fixes a dirfd i386 build problem.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Mar 2010 10:51:26 +1100

libexplain (0.24.D015-1) unstable; urgency=low

  * This change fixes a closedir i386 build problem.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Mar 2010 10:31:22 +1100

libexplain (0.24.D014-1) unstable; urgency=low

  * This change fixes a build problem discovered by the Debian build farm.
  * Debian: Closes: Bug: 574698

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Mar 2010 10:15:05 +1100

libexplain (0.24.D013-1) unstable; urgency=low

  * This change set adds more internationalization to the code.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 08 Mar 2010 20:12:23 +1100

libexplain (0.24.D012-1) unstable; urgency=low

  * This change set converts a number of notes into foot notes.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 08 Mar 2010 11:22:47 +1100

libexplain (0.24.D011-1) unstable; urgency=low

  * This change set refactors the acces(2) handling to have fewer source files.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 07 Mar 2010 18:16:17 +1100

libexplain (0.24.D010-1) unstable; urgency=low

  * This change adds to the explantions for the mkdir(2) system call, in the
    case where the parent directory's "." entry already has too many links.
  * My thanks to Erik de Castro Lopo for reporting this use case.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 07 Mar 2010 01:01:39 +1100

libexplain (0.24.D009-1) unstable; urgency=low

  * Explanations are now available for errors reported by the sprintf(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 06 Mar 2010 23:25:02 +1100

libexplain (0.24.D008-1) unstable; urgency=low

  * Explanations are now available for errors reported by the snprintf(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 06 Mar 2010 22:44:50 +1100

libexplain (0.24.D007-1) unstable; urgency=low

  * Explanations are now available for errors reported by the vsnprintf(3)
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 05 Mar 2010 16:42:23 +1100

libexplain (0.24.D006-1) unstable; urgency=low

  * Explanations ar enow available for errors reported by the vsprintf(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 05 Mar 2010 09:35:27 +1100

libexplain (0.24.D005-1) unstable; urgency=low

  * Explanations are now available for errors reported by the printf(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 05 Mar 2010 08:35:03 +1100

libexplain (0.24.D004-1) unstable; urgency=low

  * Explanations are now available for errors reported by the fprintf(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 04 Mar 2010 23:33:29 +1100

libexplain (0.24.D003-1) unstable; urgency=low

  * Explanations are now available for errors reported by the vprintf(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 04 Mar 2010 13:36:29 +1100

libexplain (0.24.D002-1) unstable; urgency=low

  * Explanations are now available for errors reported by the vfprintf(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 04 Mar 2010 13:06:16 +1100

libexplain (0.24.D001-1) unstable; urgency=low

  * This change set prepares LibExplain for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 03 Mar 2010 13:49:09 +1100

libexplain (0.23.D017-1) unstable; urgency=low

  * There is now a new explanation section called "footnotes".	This is to allow
    text to be placed after the full explanation (and only if there is room).
    This avoid messing up the sentence structure for languages with non-english
    grammars.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 03 Mar 2010 12:09:40 +1100

libexplain (0.23.D016-1) unstable; urgency=low

  * This change set alters all of the explain_*_on_error fucntions to deliver
    their output via explain_output_message, allowing alternate message delivery
    implementatipons.
  * This change set alters all of the explain_*_or_die fucntions to exit via
    explain_output_exit_failure, allowing alternate error-recovery
    implementatipons.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 03 Mar 2010 11:17:23 +1100

libexplain (0.23.D015-1) unstable; urgency=low

  * This change set adds the ability to redirect libexplain output. This makes
    it possible to use stderr or syslog as the destination, or both. See
    libexplain/output.h for more information.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 03 Mar 2010 00:22:25 +1100

libexplain (0.23.D014-1) unstable; urgency=low

  * This change set fixes a false negative discovered by the Debian AMD64 build
    farm.
  * Debian: Closes: 571424

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 02 Mar 2010 14:01:38 +1100

libexplain (0.23.D013-1) unstable; urgency=low

  * This change set gets rid of some leftover cruft from the initail proof-of-
    concept implementation.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 02 Mar 2010 13:42:18 +1100

libexplain (0.23.D012-1) unstable; urgency=low

  * The use of on_exit has been replaced with atexit, when available.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 02 Mar 2010 12:32:09 +1100

libexplain (0.23.D011-1) unstable; urgency=low

  * This change set fixes some false negatives of the test suite on Solaris.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 02 Mar 2010 01:42:48 +1100

libexplain (0.23.D010-1) unstable; urgency=low

  * Explanations are now available for errors reported by the fstatvfs system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 02 Mar 2010 00:01:41 +1100

libexplain (0.23.D009-1) unstable; urgency=low

  * This change set fixes a number of false negatives reported by the test suite
    on Solaris.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 01 Mar 2010 14:08:11 +1100

libexplain (0.23.D008-1) unstable; urgency=low

  * This change set adds an internal strerror implementation.  This reduces the
    number of false positives caused by slightly different string returned by
    sterror on diffeerent Unix implementations.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 28 Feb 2010 22:45:20 +1100

libexplain (0.23.D007-1) unstable; urgency=low

  * This change set adds more conditional code to cope with Solaris
    idiosyncracies.
  * My thanks to Joseph Garvin <joeg@trdlnk.com> for reporting these problems.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 25 Feb 2010 22:36:35 +1100

libexplain (0.23.D006-1) unstable; urgency=low

  * Explanations are now available for errors reported by the statvfs(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 25 Feb 2010 16:31:25 +1100

libexplain (0.23.D005-1) unstable; urgency=low

  * This change set fixes more Solaris portability issues.
  * My thanks to oseph Garvin <joeg@trdlnk.com> for reporting these problems.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 25 Feb 2010 14:01:44 +1100

libexplain (0.23.D004-1) unstable; urgency=low

  * The code has been improved, so that it can cope with Solaris when querying
    mount points.
  * My thanks to Joseph Garvin <joeg@trdlnk.com> for reporting this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 24 Feb 2010 19:41:18 +1100

libexplain (0.23.D003-1) unstable; urgency=low

  * There is not extra code to locate NAME_MAX, or to default it if the system
    (e.g. Solaris) does not define it.
  * My thanks to Joseph Garvin <joeg@trdlnk.com> for reporting this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 24 Feb 2010 12:55:09 +1100

libexplain (0.23.D002-1) unstable; urgency=low

  * The location of the PATH_MAX define is different on Solaris than on a POSIX
    conforming system.
  * My thanks to Joseph Garvin <joeg@trdlnk.com> for reporting this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 23 Feb 2010 21:40:59 +1100

libexplain (0.23.D001-1) unstable; urgency=low

  * This change set prepares LibExplain for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Feb 2010 13:37:14 +1100

libexplain (0.22.D003-1) unstable; urgency=low

  * This change set fixes a problem discovered by the Debian build farm.  It
    turns out that on alpha architecture, you can't disambiguate the FIBMAP vs
    BMP_IOCTL case in the pre-processor.  The code now uses a disambiguate
    function.
  * Debian: Closes: 570671

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Feb 2010 12:41:04 +1100

libexplain (0.22.D002-1) unstable; urgency=low

  * This change set modifies explain_string_buffer_putc_quoted to build the
    octal representation itself, because too many system get %03o and %3.3o
    wrong, and inconsistently.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 16 Feb 2010 13:44:57 +1100

libexplain (0.22.D001-1) unstable; urgency=low

  * This change set prepares LibExplain for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 12 Feb 2010 16:52:11 +1100

libexplain (0.21.D003-1) unstable; urgency=low

  * This change set add some Debian upload instructions, to jog the memory when
    doing new releases.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 12 Feb 2010 15:37:00 +1100

libexplain (0.21.D002-1) unstable; urgency=low

  * This change set fixes a false negative found by the Debian automated build
    system.
  * Debian: Closes: 569449

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 12 Feb 2010 15:20:01 +1100

libexplain (0.21.D001-1) unstable; urgency=low

  * This change set prepares LibExplain for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 09 Feb 2010 20:02:41 +1100

libexplain (0.20.D013-1) unstable; urgency=low

  * Explanations are now availaible for errors reported by the putw(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 09 Feb 2010 15:27:46 +1100

libexplain (0.20.D012-1) unstable; urgency=low

  * Explanations are now available for errors reported by the getw(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 09 Feb 2010 14:32:25 +1100

libexplain (0.20.D011-1) unstable; urgency=low

  * Explanations are now available for errors reported by the fpurge(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 09 Feb 2010 13:37:26 +1100

libexplain (0.20.D010-1) unstable; urgency=low

  * This change set fixes some Lintian earnings.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 09 Feb 2010 12:33:43 +1100

libexplain (0.20.D009-1) unstable; urgency=low

  * This change fixes a warning issued by GCC 4.4.
  * Debian: Closes: 541174

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 09 Feb 2010 11:59:29 +1100

libexplain (0.20.D008-1) unstable; urgency=low

  * The redundant stuff in the "Philosophy" section of explain_lca2010(1) have
    been removed.  They were place-holders until the rest of the paper was
    written.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 09 Feb 2010 11:36:51 +1100

libexplain (0.20.D007-1) unstable; urgency=low

  * The "Rationale" section has been removed from the README because its
    contents can now be found in explain_lca2010(1).

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 09 Feb 2010 11:22:47 +1100

libexplain (0.20.D006-1) unstable; urgency=low

  * This change set fixes a lintian warning.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 09 Feb 2010 11:04:32 +1100

libexplain (0.20.D005-1) unstable; urgency=low

  * This change set fixes a number of portability (build) problems.  It now
    builds clean on 32-bit Debian Sid.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 02 Feb 2010 09:45:48 +1100

libexplain (0.20.D004-1) unstable; urgency=low

  * The web site blurb has been trimmed, nit now points to the LCA paper
    instead, explain_lca2010(1).

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 01 Feb 2010 23:26:26 +1100

libexplain (0.20.D003-1) unstable; urgency=low

  * The code that prints pointers now attempts to use dladdr to locate a
    relevant symbol, and print it if found.  Not all systems have dladdr, do it
    is conditional.  Similarly parse-bits and string-to-pointer attempt to use
    dlsym to locate names; again, conditionally.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 01 Feb 2010 17:12:30 +1100

libexplain (0.20.D002-1) unstable; urgency=low

  * This change set adds the necessary symbols for sparse file lseek support.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 31 Jan 2010 12:24:32 +1100

libexplain (0.20.D001-1) unstable; urgency=low

  * This change set prepares libexplain for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 20 Jan 2010 10:31:19 +1100

libexplain (0.19.D085-1) unstable; urgency=low

  * This change fixes a ./configure dependency problem.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 20 Jan 2010 08:57:47 +1100

libexplain (0.19.D084-1) unstable; urgency=low

  * This change fixed a build problem, to do with generating etc/coverage.so

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 20 Jan 2010 07:31:42 +1100

libexplain (0.19.D083-1) unstable; urgency=low

  * This change set adds section 6 slides.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 20 Jan 2010 00:48:24 +1100

libexplain (0.19.D082-1) unstable; urgency=low

  * This change set add section 5 slides.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 19 Jan 2010 11:57:25 +1100

libexplain (0.19.D081-1) unstable; urgency=low

  * A bug has been fixed in the call of the ENFILE system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 19 Jan 2010 10:41:57 +1100

libexplain (0.19.D080-1) unstable; urgency=low

  * This change set adds section 4 slides.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 18 Jan 2010 15:30:08 +1100

libexplain (0.19.D079-1) unstable; urgency=low

  * This change set improves the sticky-bit explanations.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 18 Jan 2010 12:37:58 +1100

libexplain (0.19.D078-1) unstable; urgency=low

  * This change set adds setion 3 to the slides.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 18 Jan 2010 09:06:36 +1100

libexplain (0.19.D077-1) unstable; urgency=low

  * This change set finishes section 2.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 17 Jan 2010 10:57:19 +1100

libexplain (0.19.D076-1) unstable; urgency=low

  * This change set adds section 2 slides.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 16 Jan 2010 22:28:10 +1100

libexplain (0.19.D075-1) unstable; urgency=low

  * This change set adds more setion 1 slides.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 16 Jan 2010 18:06:24 +1100

libexplain (0.19.D074-1) unstable; urgency=low

  * This change set fixes build problems found using a 32-bit Karmic chroot.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 15 Jan 2010 16:46:22 +1100

libexplain (0.19.D073-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ungetc(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 11 Jan 2010 23:51:12 +1100

libexplain (0.19.D072-1) unstable; urgency=low

  * The *_on_error functions are now more careful to leave errno(3) undistrubed.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 11 Jan 2010 22:22:35 +1100

libexplain (0.19.D071-1) unstable; urgency=low

  * The *_on_error functions are now more careful to leave errno(3) undistrubed.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 11 Jan 2010 21:46:45 +1100

libexplain (0.19.D070-1) unstable; urgency=low

  * The *_on_error functions are now more careful to leave errno(3) undistrubed.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 11 Jan 2010 20:55:06 +1100

libexplain (0.19.D069-1) unstable; urgency=low

  * The *_on_error functions are now more careful to leave errno(3) undistrubed.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 11 Jan 2010 20:17:18 +1100

libexplain (0.19.D068-1) unstable; urgency=low

  * The *_on_error functions are now more careful to leave errno(3) undistrubed.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 11 Jan 2010 19:34:21 +1100

libexplain (0.19.D067-1) unstable; urgency=low

  * The *_on_error functions are now more careful to leave errno(3) undistrubed.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 11 Jan 2010 18:18:46 +1100

libexplain (0.19.D066-1) unstable; urgency=low

  * The *_on_error functions are now more careful to leave errno(3) undistrubed.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 11 Jan 2010 17:16:24 +1100

libexplain (0.19.D065-1) unstable; urgency=low

  * Explanations are now available for the errors reported by the fseek(3)
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 11 Jan 2010 16:26:50 +1100

libexplain (0.19.D064-1) unstable; urgency=low

  * Explanations are now available for errors reported by the ftell(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 11 Jan 2010 15:46:35 +1100

libexplain (0.19.D063-1) unstable; urgency=low

  * Explanations are now available for errors reported by the fsetpos(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 11 Jan 2010 00:53:05 +1100

libexplain (0.19.D062-1) unstable; urgency=low

  * Explanations are now available for errors reported by the fgetpos(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 10 Jan 2010 23:53:53 +1100

libexplain (0.19.D061-1) unstable; urgency=low

  * This change set adds some text concerning irregular functions that do not
    have an explicit error return value.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 10 Jan 2010 22:23:43 +1100

libexplain (0.19.D060-1) unstable; urgency=low

  * Explanations are available for errors reported by the setlinebuf(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 10 Jan 2010 21:35:32 +1100

libexplain (0.19.D059-1) unstable; urgency=low

  * Explanations are now available for the errors reported by the setbuffer(3)
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 10 Jan 2010 21:15:06 +1100

libexplain (0.19.D058-1) unstable; urgency=low

  * Explanations are now available for error reproted by the setbuf(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 10 Jan 2010 20:24:16 +1100

libexplain (0.19.D057-1) unstable; urgency=low

  * This change set adds better errno protection in *_on_error functions, for
    systems calls that do not necessarily set errno.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 10 Jan 2010 19:49:39 +1100

libexplain (0.19.D056-1) unstable; urgency=low

  * Explanations are now available for errors reported by the setvbuf(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 10 Jan 2010 19:34:18 +1100

libexplain (0.19.D055-1) unstable; urgency=low

  * Explanations are now available for errors reported by the feof(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 10 Jan 2010 16:13:34 +1100

libexplain (0.19.D054-1) unstable; urgency=low

  * This change fills in the last of the unwritten sections.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 09 Jan 2010 21:03:13 +1100

libexplain (0.19.D053-1) unstable; urgency=low

  * Explanations are now available for errors reported by the PPP ioctl
    requests.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 09 Jan 2010 14:58:06 +1100

libexplain (0.19.D052-1) unstable; urgency=low

  * This change set add more details about interesting system calls.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 07 Jan 2010 16:18:02 +1100

libexplain (0.19.D051-1) unstable; urgency=low

  * The first draft of the "Path Resolution" section has been written.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 05 Jan 2010 23:16:36 +1100

libexplain (0.19.D050-1) unstable; urgency=low

  * The last two ioctl requests from <linux/sockios.h> have been added.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 05 Jan 2010 16:14:05 +1100

libexplain (0.19.D049-1) unstable; urgency=low

  * This change set adds mor einfo about ioctl handline.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 03 Jan 2010 01:24:17 +1100

libexplain (0.19.D048-1) unstable; urgency=low

  * The LCA'10 paper now appears in the reference manual.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 02 Jan 2010 20:47:29 +1100

libexplain (0.19.D047-1) unstable; urgency=low

  * Explanations are now available for errors reported by the unsetenv(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 02 Jan 2010 09:24:45 +1100

libexplain (0.19.D046-1) unstable; urgency=low

  * Explanations are now available for error reproted by the setenv(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 02 Jan 2010 00:34:04 +1100

libexplain (0.19.D045-1) unstable; urgency=low

  * Explanations are now available for error reported by the putenv(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 01 Jan 2010 20:35:09 +1100

libexplain (0.19.D044-1) unstable; urgency=low

  * Explanations are now available for error reported by the tmpnam(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 01 Jan 2010 18:14:51 +1100

libexplain (0.19.D043-1) unstable; urgency=low

  * Explanations are now available for errors reported by the mktemp(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 01 Jan 2010 15:59:30 +1100

libexplain (0.19.D042-1) unstable; urgency=low

  * Explanations are now available for errors reported by the tempnam(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 01 Jan 2010 00:13:30 +1100

libexplain (0.19.D041-1) unstable; urgency=low

  * Explanations are now available for error reported by the tmpfile(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 31 Dec 2009 20:39:30 +1100

libexplain (0.19.D040-1) unstable; urgency=low

  * Explanations are now available for errors reported by the mkdtemp system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 31 Dec 2009 14:49:31 +1100

libexplain (0.19.D039-1) unstable; urgency=low

  * Explanations are now available for errors reported by the mkostemp(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 31 Dec 2009 11:11:56 +1100

libexplain (0.19.D038-1) unstable; urgency=low

  * Explanations are now available for error reported by the mkstemp(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 31 Dec 2009 00:07:55 +1100

libexplain (0.19.D037-1) unstable; urgency=low

  * The changelist is now in the correct order.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 29 Dec 2009 23:56:05 +1100

libexplain (0.19.D036-1) unstable; urgency=low

  * Several lintian wanring relating to the man pages have been fixed.	This
    actually found some real problems, not just decoration, believe it or not.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 29 Dec 2009 19:53:06 +1100

libexplain (0.19.D035-1) unstable; urgency=low

  * The generation of the fixme.html file has been improved, it can now cope
    with the large numbers of files required when building libexplain.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 29 Dec 2009 19:43:23 +1100

libexplain (0.19.D034-1) unstable; urgency=low

  * Explanations are now available for errors reported by the fputs(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 29 Dec 2009 16:31:00 +1100

libexplain (0.19.D033-1) unstable; urgency=low

  * Explanations are now available for errors reported by the puts(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 29 Dec 2009 13:29:04 +1100

libexplain (0.19.D032-1) unstable; urgency=low

  * Explanations are now available for error reported by the fsync(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 29 Dec 2009 12:12:54 +1100

libexplain (0.19.D031-1) unstable; urgency=low

  * Explanations are now available for errors reported by the stime(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 28 Dec 2009 23:34:48 +1100

libexplain (0.19.D030-1) unstable; urgency=low

  * Explanations are now available for errors reported by the mknod(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 28 Dec 2009 02:55:43 +1100

libexplain (0.19.D029-1) unstable; urgency=low

  * The LIBEXPLAION_OPTIONS environment variable now inderstands a new symbolic-
    mode-bits=yes option. It defaults to false, for shorter error messages.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 27 Dec 2009 21:06:48 +1100

libexplain (0.19.D028-1) unstable; urgency=low

  * The automatic command name guessing code now groks /proc/self/cmdline

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 27 Dec 2009 17:38:19 +1100

libexplain (0.19.D027-1) unstable; urgency=low

  * Explanations are now available for errors reported by the execlp(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 27 Dec 2009 17:21:50 +1100

libexplain (0.19.D026-1) unstable; urgency=low

  * Explantions are now available for errors returned by the vfork(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 26 Dec 2009 23:27:58 +1100

libexplain (0.19.D025-1) unstable; urgency=low

  * The code generator handles pw_gecos better, if it has commas in it.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 26 Dec 2009 23:04:57 +1100

libexplain (0.19.D024-1) unstable; urgency=low

  * A bug has been fixed in the large file support include, on 64-bit systems.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 26 Dec 2009 21:08:49 +1100

libexplain (0.19.D023-1) unstable; urgency=low

  * This change set adds more text.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 24 Dec 2009 22:15:07 +1100

libexplain (0.19.D022-1) unstable; urgency=low

  * This change set adds the skeleton of my linux.conf.au talk about LibExplain.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 23 Dec 2009 15:35:07 +1100

libexplain (0.19.D021-1) unstable; urgency=low

  * This change set rebuilds the code for 64-bit architecture, and fixes a bug
    found.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 23 Dec 2009 11:07:25 +1100

libexplain (0.19.D020-1) unstable; urgency=low

  * Explanations are now available for the errors returned by the ioctl requerts
    define in linux/if_eql.h

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 20 Sep 2009 15:25:32 +1000

libexplain (0.19.D019-1) unstable; urgency=low

  * There are three new functions to enable and disable the printing of a
    program's exists status immediately before it exits.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 20 Sep 2009 12:48:13 +1000

libexplain (0.19.D018-1) unstable; urgency=low

  * Explanations are now available for error reported by linux/ext2_fs.h ioctl
    requests.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 18 Sep 2009 16:32:11 +1000

libexplain (0.19.D017-1) unstable; urgency=low

  * Explanations are now available for errors reported by the raise(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 18 Sep 2009 10:40:52 +1000

libexplain (0.19.D016-1) unstable; urgency=low

  * Explanations are now available for error reported by the linux/vt.h ioctl
    requests.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 18 Sep 2009 10:16:17 +1000

libexplain (0.19.D015-1) unstable; urgency=low

  * A bug has been fixed in the way process command line were processed.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 17 Sep 2009 12:21:40 +1000

libexplain (0.19.D014-1) unstable; urgency=low

  * Some error reported by Doxygen have been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 17 Sep 2009 12:10:35 +1000

libexplain (0.19.D013-1) unstable; urgency=low

  * This change set continues to refactor ioctl scanning.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 15 Sep 2009 08:49:03 +1000

libexplain (0.19.D012-1) unstable; urgency=low

  * The ioctl-scan command has been refactored to automatically take care of
    most cases of scanning for relevant ioctl requests.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 15 Sep 2009 01:02:23 +1000

libexplain (0.19.D011-1) unstable; urgency=low

  * Wjen process ID (pid) values are pronted, they are now accompanied by the
    name of the process executable, when available.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 13 Sep 2009 22:34:11 +1000

libexplain (0.19.D010-1) unstable; urgency=low

  * This change set improves some more ioctl descriptions.
  * Debian: Closes: #540874

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 13 Sep 2009 22:00:59 +1000

libexplain (0.19.D009-1) unstable; urgency=low

  * This change set improves the printing of returned data from ioctl reqiuests.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 13 Sep 2009 16:17:13 +1000

libexplain (0.19.D008-1) unstable; urgency=low

  * This change set improves printing of returned data for several ioctl
    requests.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 13 Sep 2009 12:51:46 +1000

libexplain (0.19.D007-1) unstable; urgency=low

  * This change set improves retrujned data information for ioctl requests.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 13 Sep 2009 11:22:31 +1000

libexplain (0.19.D006-1) unstable; urgency=low

  * Several of the ioctl requests have been improved.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 12 Sep 2009 23:29:27 +1000

libexplain (0.19.D005-1) unstable; urgency=low

  * There is a new member in the iocontrol struct, to facilitate automatic
    scanning of ioctl requests.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 12 Sep 2009 20:59:33 +1000

libexplain (0.19.D004-1) unstable; urgency=low

  * A build problem on Debian alpha was fixed.	There is now conditional
    compilation of the struct termios2 printing.  Aparrently not all Linux
    architectures have struct termios2.
  * Debian: Closes: 545856

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 10 Sep 2009 08:36:52 +1000

libexplain (0.19.D003-1) unstable; urgency=low

  * Explanations are now available for errors reported by the fdopendir(3)
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 08 Sep 2009 22:53:45 +1000

libexplain (0.19.D002-1) unstable; urgency=low

  * This ioctl requets from linux/lp.h are now understood.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 07 Sep 2009 15:46:49 +1000

libexplain (0.19.D001-1) unstable; urgency=low

  * This change set prepares libexplain for the next public release.
  * Coverage includes 122 system calls and 374 ioctl requests.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 07 Sep 2009 09:11:54 +1000

libexplain (0.18.D003-1) unstable; urgency=low

  * The ioctl requests from linux/hdreg.h are now understood.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 06 Sep 2009 22:22:22 +1000

libexplain (0.18.D002-1) unstable; urgency=low

  * Some build problems on Debian Lenny have been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 06 Sep 2009 12:09:17 +1000

libexplain (0.18.D001-1) unstable; urgency=low

  * This change set prepares libexplain for the next public release.
  * Coverage now includes 122 system calls and 338 ioctl requests.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 06 Sep 2009 00:02:19 +1000

libexplain (0.17.D009-1) unstable; urgency=low

  * This change adds ioctls for linux/cyclades.h

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 05 Sep 2009 23:31:02 +1000

libexplain (0.17.D008-1) unstable; urgency=low

  * The ioctl table now includes a result printing member.  This should make
    ioctl-scan more symmetric and consistent.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 05 Sep 2009 20:21:38 +1000

libexplain (0.17.D007-1) unstable; urgency=low

  * Explanations are now availaible for error reported by the tcsendbreak system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 05 Sep 2009 19:42:01 +1000

libexplain (0.17.D006-1) unstable; urgency=low

  * Explanations are now available for error reported by the tcsetattr system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 05 Sep 2009 17:04:09 +1000

libexplain (0.17.D005-1) unstable; urgency=low

  * Explanations are now available for errors reported by the tcgetattr system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 04 Sep 2009 23:35:22 +1000

libexplain (0.17.D004-1) unstable; urgency=low

  * Explanations are now available for error reported by the tcflush system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 04 Sep 2009 22:33:10 +1000

libexplain (0.17.D003-1) unstable; urgency=low

  * Explanations are now availailbe for error reported by the tcdrain and tcflow
    system calls.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 04 Sep 2009 15:31:14 +1000

libexplain (0.17.D002-1) unstable; urgency=low

  * This change set fixes some build problems on Debian Lenny.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 04 Sep 2009 12:04:37 +1000

libexplain (0.17.D001-1) unstable; urgency=low

  * This change set prepares libexplain for the next public release.
  * Coverage now includes 116 system calls and 309 ioctl requests.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 03 Sep 2009 15:41:12 +1000

libexplain (0.16.D018-1) unstable; urgency=low

  * Explanations are now available for errors reported by the telldir system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 02 Sep 2009 12:42:09 +1000

libexplain (0.16.D017-1) unstable; urgency=low

  * Some build glitches on Ubuntu Karmic have been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 30 Aug 2009 19:38:38 +1000

libexplain (0.16.D016-1) unstable; urgency=low

  * the O_TRUNK flags is ignored by open() for sockets and pipes; and also char
    and block special devices

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 24 Aug 2009 21:33:41 +1000

libexplain (0.16.D015-1) unstable; urgency=low

  * The explanation for the open syscall (&co) now diagnoses a failure to open a
    devive from a partition mounted with the "nodev" option.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 24 Aug 2009 16:42:37 +1000

libexplain (0.16.D014-1) unstable; urgency=low

  * A number of OpenBSD build problems have been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 21 Aug 2009 11:39:44 +1000

libexplain (0.16.D013-1) unstable; urgency=low

  * This change fixes a number of build problems on FreeBSD.
  * Closes: 544749

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 20 Aug 2009 16:25:23 +1000

libexplain (0.16.D012-1) unstable; urgency=low

  * A number of BSD build problems have been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 19 Aug 2009 08:55:14 +1000

libexplain (0.16.D011-1) unstable; urgency=low

  * The strnstr function is now searched for by ./configure, because it already
    exists on BSD.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 17 Aug 2009 20:04:21 +1000

libexplain (0.16.D010-1) unstable; urgency=low

  * The codegen/string_buffer.h has been renamed elastic_buffer, to avoid
    confustion with the libexplain_string_buffer which behaves differently.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 16 Aug 2009 22:22:26 +1000

libexplain (0.16.D009-1) unstable; urgency=low

  * The remaining ioctls from <termios.h> have been added.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 16 Aug 2009 21:55:40 +1000

libexplain (0.16.D008-1) unstable; urgency=low

  * This change set add reminders for the termio helper functions.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 16 Aug 2009 12:58:20 +1000

libexplain (0.16.D007-1) unstable; urgency=low

  * The system calls the report EEXIST have been refactored to use common code,
    and a common explanation.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 13 Aug 2009 22:01:48 +1000

libexplain (0.16.D006-1) unstable; urgency=low

  * A bug has been fixed in the way absolute symbolic links are processed by the
    path_resolution code.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 13 Aug 2009 10:03:21 +1000

libexplain (0.16.D005-1) unstable; urgency=low

  * The ioctl-scan command now groks mag tape ioctl requests.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 07 Aug 2009 16:41:19 +1000

libexplain (0.16.D004-1) unstable; urgency=low

  * The ioctl scan command can now decode all of the safe probes for linux/fs.h
    and linux/cdrom.h

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 06 Aug 2009 23:22:21 +1000

libexplain (0.16.D003-1) unstable; urgency=low

  * Coverage now includes the Linux block device ioctl requests.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 06 Aug 2009 04:33:16 +1000

libexplain (0.16.D002-1) unstable; urgency=low

  * The build system has been changed to be much quieter, unless verbose=1 is
    given on the command line.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 04 Aug 2009 16:42:18 +1000

libexplain (0.16.D001-1) unstable; urgency=low

  * This change set prepares libexplain for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 03 Aug 2009 20:44:09 +1000

libexplain (0.15.D015-1) unstable; urgency=low

  * The EROFS and ENOMEDIUM explanations now grok SD/MMC block special devices.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 03 Aug 2009 16:50:08 +1000

libexplain (0.15.D014-1) unstable; urgency=low

  * A number of build problems and false negatives have been fixed on x86_64
    architecture.
  * Closes: 537690 Debian

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 03 Aug 2009 16:05:53 +1000

libexplain (0.15.D013-1) unstable; urgency=low

  * The Linux floppy disk ioctl requests are now supported.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 02 Aug 2009 18:11:08 +1000

libexplain (0.15.D012-1) unstable; urgency=low

  * The explaianations for EROFS of devices have been improved.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 02 Aug 2009 17:03:47 +1000

libexplain (0.15.D011-1) unstable; urgency=low

  * The Linux CD-ROM ioctl requests are now supported.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 31 Jul 2009 17:28:00 +1000

libexplain (0.15.D010-1) unstable; urgency=low

  * Support has been added for detecting ambiguous ioctl request numbers. The
    problems so found have been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 31 Jul 2009 16:46:31 +1000

libexplain (0.15.D009-1) unstable; urgency=low

  * Explanations are now available for the error reported by the writev system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 29 Jul 2009 23:31:12 +1000

libexplain (0.15.D008-1) unstable; urgency=low

  * Explanations are now available for the errors reported by the readv system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 29 Jul 2009 22:21:38 +1000

libexplain (0.15.D007-1) unstable; urgency=low

  * Explanations are now available for the error reported by the ustat system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 29 Jul 2009 20:57:43 +1000

libexplain (0.15.D006-1) unstable; urgency=low

  * The open system call now prints a much better explanation for ENOMEDIUM
    errors.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 29 Jul 2009 18:17:58 +1000

libexplain (0.15.D005-1) unstable; urgency=low

  * The generic handler for errors not specofically handled has been improved to
    include the name of the system call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 29 Jul 2009 16:45:37 +1000

libexplain (0.15.D004-1) unstable; urgency=low

  * Explanations are now available for error reported by the setdomainname
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 28 Jul 2009 18:39:10 +1000

libexplain (0.15.D003-1) unstable; urgency=low

  * A rationale section has been added to the README.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 28 Jul 2009 17:46:04 +1000

libexplain (0.15.D002-1) unstable; urgency=low

  * Explanations are now available for error reported by the getdomain system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 27 Jul 2009 23:25:26 +1000

libexplain (0.15.D001-1) unstable; urgency=low

  * This change set prepares libexplain for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 26 Jul 2009 17:54:34 +1000

libexplain (0.14.D007-1) unstable; urgency=low

  * A shell script has been added to make re-building the package for upload
    easier.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 26 Jul 2009 17:04:14 +1000

libexplain (0.14.D006-1) unstable; urgency=low

  * A build problem on amd64 has been fixed. The problem was a type-mismatch
    only detected on 64-bit builds.
  * My thanks to the Debian build farm for reporting this problem.
  * Closes: #537690

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 25 Jul 2009 19:34:30 +1000

libexplain (0.14.D005-1) unstable; urgency=low

  * The handling of short message buffers has been improved.  It now wastes less
    space.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 25 Jul 2009 19:17:03 +1000

libexplain (0.14.D004-1) unstable; urgency=low

  * This change set fixes a number of x86_64 build errors and warnings.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 25 Jul 2009 18:14:25 +1000

libexplain (0.14.D003-1) unstable; urgency=low

  * The <libexplain/fclose.h> file did not always compile, ebcause it omitted to
    include the <stdio.h> file.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 21 Jul 2009 15:30:46 +1000

libexplain (0.14.D002-1) unstable; urgency=low

  * The link to nominate libexplain for the sourceforge community awards has
    been removed.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 20 Jul 2009 09:14:58 +1000

libexplain (0.14.D001-1) unstable; urgency=low

  * This change set prepares libexplain for the next public release.
  * A number of build problems on 64-bit and older Linux versions were also
    fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 19 Jul 2009 23:03:00 +1000

libexplain (0.13.D053-1) unstable; urgency=low

  * Explanations are now availiable for errors reported by the timerfd_create
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 18 Jul 2009 20:20:25 +1000

libexplain (0.13.D052-1) unstable; urgency=low

  * The ./configure script no longer *demands* lsof.  Linux doesn't need it.  On
    systems without lsof, the error messages just aren't quite as useful.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 18 Jul 2009 13:06:30 +1000

libexplain (0.13.D051-1) unstable; urgency=low

  * Explanations are now available for error reported by the signalfd system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 17 Jul 2009 16:54:48 +1000

libexplain (0.13.D050-1) unstable; urgency=low

  * The code generator has been rnamed "codegen" rather than the more obscure
    and misleading test_generator.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 17 Jul 2009 14:48:40 +1000

libexplain (0.13.D049-1) unstable; urgency=low

  * Explanations are now available for errors reported by the eventfd system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 17 Jul 2009 12:08:19 +1000

libexplain (0.13.D048-1) unstable; urgency=low

  * Explanations are now available for the errors reported by the dirfd system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 15 Jul 2009 23:44:33 +1000

libexplain (0.13.D047-1) unstable; urgency=low

  * Explanations are now available for error reported by the adjtime and
    adjtimex system calls.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 14 Jul 2009 21:39:54 +1000

libexplain (0.13.D046-1) unstable; urgency=low

  * A Debian watch file has been added.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 14 Jul 2009 18:00:11 +1000

libexplain (0.13.D045-1) unstable; urgency=low

  * Explanations are now available for errors reported by the kill(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 08 Jul 2009 22:44:37 +1000

libexplain (0.13.D044-1) unstable; urgency=low

  * Explanations are now available for errors reported by the accept4 system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 08 Jul 2009 19:45:25 +1000

libexplain (0.13.D043-1) unstable; urgency=low

  * Explaiantions are now available for error reported by the nice system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 07 Jul 2009 19:27:56 +1000

libexplain (0.13.D042-1) unstable; urgency=low

  * There is now a system call catalogue, to permit code regeneration when
    necessary.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 07 Jul 2009 18:50:38 +1000

libexplain (0.13.D041-1) unstable; urgency=low

  * The code generator has been enhanced to have a system call catalogue, paving
    the way to generating the boring bits of the code base.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 06 Jul 2009 22:16:00 +1000

libexplain (0.13.D040-1) unstable; urgency=low

  * Explanations are now available for error reported by the strdup and strndup
    system calls.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 06 Jul 2009 18:28:07 +1000

libexplain (0.13.D039-1) unstable; urgency=low

  * Many more of the *_or_die functiosn now go via their *_on_error
    counterparts.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 06 Jul 2009 17:56:24 +1000

libexplain (0.13.D038-1) unstable; urgency=low

  * Explanations are now available for errors reported by the getgroups and
    setgroups system calls.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 06 Jul 2009 09:56:04 +1000

libexplain (0.13.D037-1) unstable; urgency=low

  * Explanations are now available for errors reported by the statfs and fstatfs
    system calls.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 05 Jul 2009 18:39:50 +1000

libexplain (0.13.D036-1) unstable; urgency=low

  * Explanations are now available for errors returned by the time and ftime
    system calls.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 04 Jul 2009 18:08:22 +1000

libexplain (0.13.D035-1) unstable; urgency=low

  * The fflush explanation has been improved, and it is now accessable via
    "explain".

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 03 Jul 2009 18:50:08 +1000

libexplain (0.13.D034-1) unstable; urgency=low

  * Explanations are now available for errors reported by the fileno system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 03 Jul 2009 16:58:22 +1000

libexplain (0.13.D033-1) unstable; urgency=low

  * Explanations are now available for error reported by the flock system call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 03 Jul 2009 16:00:42 +1000

libexplain (0.13.D032-1) unstable; urgency=low

  * Explanations are now available for error reported by the strtod, strtof and
    strtold system calls.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 01 Jul 2009 20:13:46 +1000

libexplain (0.13.D031-1) unstable; urgency=low

  * Explanations are now available for errors reported by the strtoul, strtoll
    and strtoull system calls.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 01 Jul 2009 16:43:34 +1000

libexplain (0.13.D030-1) unstable; urgency=low

  * another error explanation has been added to the readlink system call

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 30 Jun 2009 22:16:33 +1000

libexplain (0.13.D029-1) unstable; urgency=low

  * The code generator now gets the types right when deciphering argv[]

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 30 Jun 2009 21:39:14 +1000

libexplain (0.13.D028-1) unstable; urgency=low

  * Explanations are now available for error reported by the strtol system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 30 Jun 2009 19:50:32 +1000

libexplain (0.13.D027-1) unstable; urgency=low

  * There is now an explain_{system, truncate, unlink, utime, wait, wait3,
    wait4, waitpid, write}_on_error function for each system call, that reports
    errors, but still returns to the caller.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 30 Jun 2009 16:55:08 +1000

libexplain (0.13.D026-1) unstable; urgency=low

  * Explanations are nwo available for error reported by the pread and pwrite
    system calls.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 30 Jun 2009 16:51:32 +1000

libexplain (0.13.D025-1) unstable; urgency=low

  * There is now an explain_{realloc, remove, rename, rmdir, select, setsockopt,
    socket, stat, symlink}_on_error function for each system call, that reports
    errors, but still returns to the caller.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 30 Jun 2009 16:33:10 +1000

libexplain (0.13.D024-1) unstable; urgency=low

  * There is now an explain_{opendir, pathconf, pclose, pipe, popen, putc,
    putchar, read, readdir, readlink}_on_error function for each system call,
    that reports errors, but still returns to the caller.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 29 Jun 2009 19:24:12 +1000

libexplain (0.13.D023-1) unstable; urgency=low

  * Explanations are now available for error reported by the chroot(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 29 Jun 2009 17:20:05 +1000

libexplain (0.13.D022-1) unstable; urgency=low

  * The code generator is now able to produce better printing of the parameters
    list, based on the stypes of the paramaers in the function prototype.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 29 Jun 2009 16:12:09 +1000

libexplain (0.13.D021-1) unstable; urgency=low

  * Explanations are now availiable for error reported by the acct system call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 29 Jun 2009 11:00:12 +1000

libexplain (0.13.D020-1) unstable; urgency=low

  * This change uses the declaration to improve the types of variables in the
    syscall reconstruction.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 27 Jun 2009 22:37:06 +1000

libexplain (0.13.D019-1) unstable; urgency=low

  * The code generator makes more use of the AST data.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 27 Jun 2009 21:58:06 +1000

libexplain (0.13.D018-1) unstable; urgency=low

  * The code generator for the .3 man pages has been improved.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 26 Jun 2009 22:47:33 +1000

libexplain (0.13.D017-1) unstable; urgency=low

  * The code generation has been improved in the area of writinbg function
    signatures.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 26 Jun 2009 15:41:11 +1000

libexplain (0.13.D016-1) unstable; urgency=low

  * There is now an explain_{getsockopt, gettimeofday, ioctl, lchown, link,
    listen, lseek, malloc, mkdir, open}_on_error function for each system call,
    that reports errors, but still returns to the caller.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 25 Jun 2009 22:34:07 +1000

libexplain (0.13.D015-1) unstable; urgency=low

  * There is now an explain_{freopen, ftruncate, futimes, fwrite, getc, getchar,
    getcwd, getpeername, getrlimit, getsockname}_on_error function for each
    system call, that reports errors, but still returns to the caller.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 25 Jun 2009 22:01:15 +1000

libexplain (0.13.D014-1) unstable; urgency=low

  * Explanations are now available for the gethostname system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 25 Jun 2009 16:47:46 +1000

libexplain (0.13.D013-1) unstable; urgency=low

  * There is now an explain_{ferror, fflush, fgetc, fgets, fopen, fork,
    fpathconf, fputc, fread}_on_error function for each system call, that
    reports errors, but still returns to the caller.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 25 Jun 2009 16:40:02 +1000

libexplain (0.13.D012-1) unstable; urgency=low

  * Explanations are now available for errors reported by the sethostname system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 25 Jun 2009 16:25:14 +1000

libexplain (0.13.D011-1) unstable; urgency=low

  * The declarations in the main include file are now wrapped.	Not ideally, but
    wrapped.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 24 Jun 2009 20:19:44 +1000

libexplain (0.13.D010-1) unstable; urgency=low

  * The code formatting in the generated code is better around pointers.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 24 Jun 2009 18:59:23 +1000

libexplain (0.13.D009-1) unstable; urgency=low

  * There is now an explain_{dup, dup2, execve, execvp, fchdir, fchmod, fchown,
    fclose, fcntl, fdopen}_on_error function for each system call, that reports
    errors, but still returns to the caller.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 24 Jun 2009 17:49:49 +1000

libexplain (0.13.D008-1) unstable; urgency=low

  * There was a missing reference to errno in one of the generated code
    examples.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 24 Jun 2009 17:47:34 +1000

libexplain (0.13.D007-1) unstable; urgency=low

  * The code generator now wraps long lins in the generated @code examples.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 24 Jun 2009 17:18:42 +1000

libexplain (0.13.D006-1) unstable; urgency=low

  * There is now an explain_{accept, access, bind, chdir, chmod, chown, close,
    closedir, connect, creat}_on_error function for each system call, that
    reports errors, but still returns to the caller.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 24 Jun 2009 17:12:32 +1000

libexplain (0.13.D005-1) unstable; urgency=low

  * The code generator has been improved.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 24 Jun 2009 06:06:08 +1000

libexplain (0.13.D004-1) unstable; urgency=low

  * The code generator now understands the explain_*_on_error functions.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 23 Jun 2009 16:48:43 +1000

libexplain (0.13.D003-1) unstable; urgency=low

  * The build of the Debian packages now uses the lintian --pedantic option.
    The debian/ directory has been fromved from the .orig.tar.gz file, resulting
    in a non-empty .diff.gz which makes lintian happier.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 23 Jun 2009 12:10:40 +1000

libexplain (0.13.D002-1) unstable; urgency=low

  * The debian package is now marked DM-Upload-Allowed so that I can upload once
    a DD does it the first time.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 17 Jun 2009 17:03:13 +1000

libexplain (0.13.D001-1) unstable; urgency=low

  * This change set prepares libexplain for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 17 May 2009 22:56:13 +1000

libexplain (0.12.D005-1) unstable; urgency=low

  * The web site now links to a number of sercices provided by SourceForge.
  * My thanks to Robert Collins for this suggestion.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 17 May 2009 22:17:01 +1000

libexplain (0.12.D004-1) unstable; urgency=low

  * Help nominate libexplain for the SourceForge community choice awards.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 17 May 2009 21:29:18 +1000

libexplain (0.12.D003-1) unstable; urgency=low

  * Several problems have been fixed with compiling libexplain on 64-bit
    systems.
  * My thanks to the Debian build folks for reporting this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 07 May 2009 17:24:51 +1000

libexplain (0.12.D002-1) unstable; urgency=low

  * Yes another attempt to get it to build properly on 64-bit machines.
  * My thanks to Simon Horman for helping with this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 05 May 2009 17:54:18 +1000

libexplain (0.12.D001-1) unstable; urgency=low

  * This change set prepares libexplain for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 04 May 2009 16:51:59 +1000

libexplain (0.11.D005-1) unstable; urgency=low

  * There was a build problem on hosts that didn't need to do anything special
    for large file support. This has been fixed.  (Closes: #526759)
  * My thanks to Kurt Roeckx <kurt@roeckx.be> for reporting this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 04 May 2009 10:46:07 +1000

libexplain (0.11.D004-1) unstable; urgency=low

  * This change set rebuilds libexplain for Ubunti 9.04 Jaunty.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 25 Apr 2009 19:06:06 +1000

libexplain (0.11.D003-1) unstable; urgency=low

  * The project now links with the -Wl,--as-needed option, that removes
    libraries from the link if they are not (directly) required.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 05 Apr 2009 14:23:40 +1000

libexplain (0.11.D002-1) unstable; urgency=low

  * The license files no longer cause lintian(1) to emit warnings.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 30 Mar 2009 11:53:28 +1100

libexplain (0.11.D001-1) unstable; urgency=low

  * Prepare libexplain for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 29 Mar 2009 14:32:19 +1100

libexplain (0.10.D004-1) unstable; urgency=low

  * A mobius strip image has been added next to ELOOP

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 29 Mar 2009 12:53:28 +1100

libexplain (0.10.D003-1) unstable; urgency=low

  * The path of the current directory is compared with the path of the parent
    process' current directory.	 If they differ, this could confuse the user, so
    we use absolute paths rather than relative paths in the error messages.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 28 Mar 2009 18:29:36 +1100

libexplain (0.10.D002-1) unstable; urgency=low

  * The debian copyright file has been improved to match the Debian guidelines.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 28 Mar 2009 16:51:42 +1100

libexplain (0.10.D001-1) unstable; urgency=low

  * This change set prepares libexplain for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 24 Mar 2009 09:08:23 +1100

libexplain (0.9.D002-1) unstable; urgency=low

  * The name prefix on all of the library functions has been changed from
    "libexplain_" to just "explain_".

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 13 Mar 2009 16:38:05 +1100

libexplain (0.9.D001-1) unstable; urgency=low

  * This change set prepares libexplain for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 27 Feb 2009 16:44:37 +1100

libexplain (0.8.D006-1) unstable; urgency=low

  * Two false negatives, test 256 and 257, have been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 27 Feb 2009 12:27:24 +1100

libexplain (0.8.D005-1) unstable; urgency=low

  * The ./configure script now explicitly looks for bison, and complains if it
    cannot be found.  Some warnings have also been silenced.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 27 Feb 2009 12:17:06 +1100

libexplain (0.8.D004-1) unstable; urgency=low

  * A couple more graphics have been added to the web site, with a "complicated"
    theme.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 17 Feb 2009 21:32:33 +1100

libexplain (0.8.D003-1) unstable; urgency=low

  * The socket(7) address family is now decoded.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 17 Feb 2009 18:39:22 +1100

libexplain (0.8.D002-1) unstable; urgency=low

  * The build have been changed so that dpkg-buildpackage doesn't think it's a
    native build.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 16 Feb 2009 18:31:32 +1100

libexplain (0.8.D001-1) unstable; urgency=low

  * This change set prepares libexplain for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 14 Feb 2009 14:19:35 +1100

libexplain (0.7.D006-1) unstable; urgency=low

  * A weird bug with the debian packaging has been fixed.  Basically, if you
    don't use debuild -sa the tarball produced can be missing some files.  WTF?

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 14 Feb 2009 08:58:34 +1100

libexplain (0.7.D005-1) unstable; urgency=low

  * The program name is more carefully doled out.  The *_or_die functions now
    print the program name, unless overridden by the LIBEXPLAIN_OPTIONS
    environment variables.  Otherwise, the program name is NOT inserted (it is
    assumed that the program will do that for itself).

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 13 Feb 2009 20:43:18 +1100

libexplain (0.7.D004-1) unstable; urgency=low

  * The decoding of IPv4 sockaddr structs has been improved.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 11 Feb 2009 23:12:44 +1100

libexplain (0.7.D003-1) unstable; urgency=low

  * Change 11 has been reverted, it was wrong.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 11 Feb 2009 10:14:01 +1100

libexplain (0.7.D002-1) unstable; urgency=low

  * A bug has been fixed in the sin_port decoding, it was using too many ntohs
    calls.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 10 Feb 2009 22:42:18 +1100

libexplain (0.7.D001-1) unstable; urgency=low

  * This change set prepares libexplain for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 10 Feb 2009 21:49:25 +1100

libexplain (0.6.D008-1) unstable; urgency=low

  * A bug has been fixed in the formatting of socket addresses printed as the
    "pathname" of the file descriptor, it was leaving out the space character.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 10 Feb 2009 12:49:03 +1100

libexplain (0.6.D007-1) unstable; urgency=low

  * Explanations are now available for errors reported by the setsockopt system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 08 Feb 2009 22:51:11 +1100

libexplain (0.6.D006-1) unstable; urgency=low

  * Explanations are now available for errors reported by the getsockopt system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 08 Feb 2009 11:30:03 +1100

libexplain (0.6.D005-1) unstable; urgency=low

  * There are now explanations available for errors reported by the getsockname
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 07 Feb 2009 09:00:00 +1100

libexplain (0.6.D004-1) unstable; urgency=low

  * There are now explanations available for errors reported by the getpeername
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 06 Feb 2009 16:34:16 +1100

libexplain (0.6.D003-1) unstable; urgency=low

  * This change set fixes a number of build problems on Debian Sid.
  * My thanks to Simon Horman for reporting these problems.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 19 Jan 2009 22:40:15 +1100

libexplain (0.6.D002-1) unstable; urgency=low

  * This change adds more mag tape ioctl controls, from operating systems other
    than linux.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 16 Jan 2009 23:12:31 +1100

libexplain (0.6.D001-1) unstable; urgency=low

  * This change prepares libexplain for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 16 Jan 2009 16:43:17 +1100

libexplain (0.5.D021-1) unstable; urgency=low

  * This change fixes a couple of small build broblems, relating to include file
    insulation.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 16 Jan 2009 15:53:59 +1100

libexplain (0.5.D020-1) unstable; urgency=low

  * The explanation for read(2) now includes the case where EOVERFLOW is
    returned by some mag-tape device drivers, meaning 'this device driver is so
    stupid it cant handle a request this big'.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 16 Jan 2009 14:26:20 +1100

libexplain (0.5.D019-1) unstable; urgency=low

  * Explanations are now available for errors reported by the execvp(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 16 Jan 2009 13:35:53 +1100

libexplain (0.5.D018-1) unstable; urgency=low

  * Explanations are now available for errors reported by the realloc(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 15 Jan 2009 13:40:06 +1100

libexplain (0.5.D017-1) unstable; urgency=low

  * Explanations are now available for errors reported by the malloc(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 15 Jan 2009 12:48:38 +1100

libexplain (0.5.D016-1) unstable; urgency=low

  * Explanatiosn are now available for error reported by the pclose(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 15 Jan 2009 10:54:00 +1100

libexplain (0.5.D015-1) unstable; urgency=low

  * Explanations are now available for error reported by the popen(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 15 Jan 2009 09:44:31 +1100

libexplain (0.5.D014-1) unstable; urgency=low

  * Explanations are now available for the errors reported by the pipe(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 15 Jan 2009 08:28:14 +1100

libexplain (0.5.D013-1) unstable; urgency=low

  * The magnetic tape ioctl requests are now understood.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 15 Jan 2009 06:28:55 +1100

libexplain (0.5.D012-1) unstable; urgency=low

  * The libexplain_pointer_is_efault function now uses mincore() is it is
    available.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 15 Jan 2009 00:04:33 +1100

libexplain (0.5.D011-1) unstable; urgency=low

  * The libexplain_pointer_is_efault function signature now includes a size, in
    preparation for more rigorous checking.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 14 Jan 2009 22:41:23 +1100

libexplain (0.5.D010-1) unstable; urgency=low

  * More explanations are available for ioctl requests defined in <sys/socket.h>

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 14 Jan 2009 19:36:25 +1100

libexplain (0.5.D009-1) unstable; urgency=low

  * The remainder of the baseline functionality for ioctls has been refactored.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 13 Jan 2009 14:06:45 +1100

libexplain (0.5.D008-1) unstable; urgency=low

  * A false negative from test 31 has been fixed.  It was not properly coping
    with wrapping variability.
  * My thanks to Simon Horman for reporting this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 12 Jan 2009 22:35:36 +1100

libexplain (0.5.D007-1) unstable; urgency=low

  * The project no longer contaisn files with upper case letters in their names.
    This means that cut-and-paste of ioctl names will be warned about, because
    they are supposed to be lower case.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 11 Jan 2009 10:47:49 +1100

libexplain (0.5.D006-1) unstable; urgency=low

  * The implementation of ioctl has been changed.  It no longer requires all of
    the ioctl include files in the same translation unit, which is good becuse
    they don't play well together.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 10 Jan 2009 23:43:10 +1100

libexplain (0.5.D005-1) unstable; urgency=low

  * The ioctl support has been increased to cover Linux console operations.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 05 Jan 2009 00:04:44 +1100

libexplain (0.5.D004-1) unstable; urgency=low

  * This change adds ioctl data argument decoding for many TTY ioctl calls.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 04 Jan 2009 18:35:26 +1100

libexplain (0.5.D003-1) unstable; urgency=low

  * Some explanations are available for some errors reported by the ioctl(2)
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 04 Jan 2009 14:03:32 +1100

libexplain (0.5.D002-1) unstable; urgency=low

  * The web site now cites GNU LGPL, it was erroneosly citing GPL before.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 04 Jan 2009 12:24:42 +1100

libexplain (0.5.D001-1) unstable; urgency=low

  * This change prepares libexplain for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 03 Jan 2009 21:09:56 +1100

libexplain (0.4.D008-1) unstable; urgency=low

  * Closes: Bug#507855
  * This change set fixes a problem with building the code on Debian sid, more
    insulation was needed for sockaddr_uicv availability.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 30 Dec 2008 23:17:39 +1100

libexplain (0.4.D007-1) unstable; urgency=low

  * There is a new libexplain_system_success function, that performs all that
    libexplain_system_success_or_die performs, except that it does not call
    exit().

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 28 Dec 2008 22:18:23 +1100

libexplain (0.4.D006-1) unstable; urgency=low

  * This change set improves the i18n support for EISDIR errors.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 27 Dec 2008 20:44:03 +1100

libexplain (0.4.D005-1) unstable; urgency=low

  * The pkg-config file was being installed into thw wrong place.
  * My thanks to Conrad Parker for reporting this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 25 Dec 2008 16:19:48 +1100

libexplain (0.4.D004-1) unstable; urgency=low

  * The web site now has a few more links from the front page into the Doxygen
    documentation, and it mentions the *_or_die wrappers.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 25 Dec 2008 11:51:55 +1100

libexplain (0.4.D003-1) unstable; urgency=low

  * A problem with test 32 has been fixed, it didn't actually test anything, due
    to an unterminated 'here' document.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 24 Dec 2008 19:34:32 +1100

libexplain (0.4.D002-1) unstable; urgency=low

  * This change uses the new pmiller@opensource.org.au email address

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 24 Dec 2008 18:29:02 +1100

libexplain (0.4.D001-1) unstable; urgency=low

  * This change prepares libexplain for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 24 Dec 2008 17:29:45 +1100

libexplain (0.3.D046-1) unstable; urgency=low

  * This change fixes a problem building the tarball.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 24 Dec 2008 15:59:13 +1100

libexplain (0.3.D045-1) unstable; urgency=low

  * Explaiantions are now available for error reported by the futimes system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 24 Dec 2008 14:59:35 +1100

libexplain (0.3.D044-1) unstable; urgency=low

  * Explaiantions are now available for errors reported by the fchown system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 23 Dec 2008 21:41:20 +1100

libexplain (0.3.D043-1) unstable; urgency=low

  * This change refactors to allow file descriptors as well as pathnames.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 23 Dec 2008 20:49:15 +1100

libexplain (0.3.D042-1) unstable; urgency=low

  * This change refactors the common explanation between (l)chown and path_
    resolution.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 18 Dec 2008 20:18:37 +1100

libexplain (0.3.D041-1) unstable; urgency=low

  * This change set is a step in progress to wards a clean refactor of the chown
    explanation.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 18 Dec 2008 09:36:26 +1100

libexplain (0.3.D040-1) unstable; urgency=low

  * This change set adds explaiantion printing of DAC_CHOWN capability, and also
    refactors the capability messages into a single message.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 18 Dec 2008 08:34:07 +1100

libexplain (0.3.D039-1) unstable; urgency=low

  * This change improves some small problems with the documentation.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 15 Dec 2008 17:22:58 +1100

libexplain (0.3.D038-1) unstable; urgency=low

  * Explanations are now available for error reported by the fpathconf system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 10 Dec 2008 13:19:57 +1100

libexplain (0.3.D037-1) unstable; urgency=low

  * Explanations are now avilable for error reported by the pathconf system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 10 Dec 2008 12:38:37 +1100

libexplain (0.3.D036-1) unstable; urgency=low

  * The efault caution around printing strings has been conecntrated into a
    single function -- less code, consistent behaviour

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 10 Dec 2008 11:50:23 +1100

libexplain (0.3.D035-1) unstable; urgency=low

  * There is now a register of authorised i18n messages.  This makes it possible
    to ensure there are no duplicates, and that very similar messages are, in
    fact, indented rather than be well-concealed duplicates.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 09 Dec 2008 17:01:00 +1100

libexplain (0.3.D034-1) unstable; urgency=low

  * The generic EFAULT message is now accompanied by a 'probably software error'
    qualifier.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 08 Dec 2008 16:49:36 +1100

libexplain (0.3.D033-1) unstable; urgency=low

  * The generic EBADF message now includes a 'software bug not user error'
    qualifier.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 08 Dec 2008 16:41:02 +1100

libexplain (0.3.D032-1) unstable; urgency=low

  * The i18n support for the connect(2) system call is complete.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 08 Dec 2008 10:39:34 +1100

libexplain (0.3.D031-1) unstable; urgency=low

  * The EACCES error now has an common explanation for the majority of cases.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 08 Dec 2008 08:24:34 +1100

libexplain (0.3.D030-1) unstable; urgency=low

  * The i18n support for bind(2) is completed.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 07 Dec 2008 21:11:44 +1100

libexplain (0.3.D029-1) unstable; urgency=low

  * This change ensures that all of the explanations call the generic
    explanation if they don't provide on themselves.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 06 Dec 2008 21:06:01 +1100

libexplain (0.3.D028-1) unstable; urgency=low

  * Explanations are now availaible for error reported by the accept(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 06 Dec 2008 20:45:22 +1100

libexplain (0.3.D027-1) unstable; urgency=low

  * This change adds a similar icon, with a balancing set of books on the right.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 05 Dec 2008 20:07:11 +1100

libexplain (0.3.D026-1) unstable; urgency=low

  * The i18n support for the rename(2) system call has been completed.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 05 Dec 2008 19:50:26 +1100

libexplain (0.3.D025-1) unstable; urgency=low

  * Explanations ar enow available for errors reported by the listen(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 05 Dec 2008 17:15:13 +1100

libexplain (0.3.D024-1) unstable; urgency=low

  * The permuted index was not very useful, it has been removed.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 05 Dec 2008 17:06:10 +1100

libexplain (0.3.D023-1) unstable; urgency=low

  * The last of the i18n support has been done for the common path resolution
    code.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 05 Dec 2008 16:52:41 +1100

libexplain (0.3.D022-1) unstable; urgency=low

  * The i18n support has been improved for the open(2) system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 04 Dec 2008 23:24:04 +1100

libexplain (0.3.D021-1) unstable; urgency=low

  * The i18n support has been improved for EMFILE, ENFILE, ENOMEM, and access(2)

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 04 Dec 2008 16:37:02 +1100

libexplain (0.3.D020-1) unstable; urgency=low

  * This change fixes the licensing on some of the files.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 04 Dec 2008 16:26:48 +1100

libexplain (0.3.D019-1) unstable; urgency=low

  * All the comments are now C comments, using aegis' policy feature to enforce
    this.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 04 Dec 2008 08:33:04 +1100

libexplain (0.3.D018-1) unstable; urgency=low

  * This change improves the i18n support for EIO errors.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 03 Dec 2008 23:31:44 +1100

libexplain (0.3.D017-1) unstable; urgency=low

  * Explanations are now available for errors reported by the bind system call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 03 Dec 2008 22:34:12 +1100

libexplain (0.3.D016-1) unstable; urgency=low

  * The strerror_r function is now used if available.  This makes the code more
    thread-safe.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 02 Dec 2008 16:44:09 +1100

libexplain (0.3.D015-1) unstable; urgency=low

  * Explanations are now available for error reported by the fdopen system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 02 Dec 2008 08:50:55 +1100

libexplain (0.3.D014-1) unstable; urgency=low

  * The new GCC 3.4 warn_unused_result attribute is explainted to provide users
    with a warning if they say libexplain_fubar when they meant to say
    libexplain_fubar_or_die.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 01 Dec 2008 17:41:41 +1100

libexplain (0.3.D013-1) unstable; urgency=low

  * Explaiantions are now available for errors returned by the getcwd(3) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 01 Dec 2008 16:51:00 +1100

libexplain (0.3.D012-1) unstable; urgency=low

  * Explanations are now availaible for error reported by the getrlimit system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 30 Nov 2008 21:43:26 +1100

libexplain (0.3.D011-1) unstable; urgency=low

  * Expalantions are now available for errors reported by the getaddrinfo system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 30 Nov 2008 16:48:38 +1100

libexplain (0.3.D010-1) unstable; urgency=low

  * Explanations are now available for errors reported by the dup2 system call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 28 Nov 2008 18:54:45 +1100

libexplain (0.3.D009-1) unstable; urgency=low

  * Explanations are now available for errors reported by the select system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 28 Nov 2008 18:00:20 +1100

libexplain (0.3.D008-1) unstable; urgency=low

  * The code is now able to be compiled on OpenBSD.  The tests give many false
    negatives, due to differences in strerror() results.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 27 Nov 2008 16:32:05 +1100

libexplain (0.3.D007-1) unstable; urgency=low

  * A bug has been fixed in the libexplain_socket_or_die fuinction, it wasn't
    returning anything.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 26 Nov 2008 22:43:04 +1100

libexplain (0.3.D006-1) unstable; urgency=low

  * Code has been added to check for large file support by library clients, and
    emit an error if not enabled.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 26 Nov 2008 20:34:39 +1100

libexplain (0.3.D005-1) unstable; urgency=low

  * Explanation s are now available for errors reported by the connect(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 26 Nov 2008 17:18:59 +1100

libexplain (0.3.D004-1) unstable; urgency=low

  * Explanations are now available for error reported by the putchar(3), putc(3)
    and fputc(3) system calls.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 24 Nov 2008 17:46:03 +1100

libexplain (0.3.D003-1) unstable; urgency=low

  * The libexplain_*_or_die functions now include the program name.  There is a
    new LIBEXPLAIN_OPTIONS setting to get the old behaviour.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 24 Nov 2008 17:23:28 +1100

libexplain (0.3.D002-1) unstable; urgency=low

  * This change fixes a number of typographical errors in i18n xgettext
    comments.
  * Ny thanks to Conrad Parker for reporting these problems.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 24 Nov 2008 11:18:01 +1100

libexplain (0.3.D001-1) unstable; urgency=low

  * This change prepared libexplain for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 23 Nov 2008 19:54:16 +1100

libexplain (0.2.D032-1) unstable; urgency=low

  * Explanations are now available for errors reported by the socket(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 23 Nov 2008 19:04:05 +1100

libexplain (0.2.D031-1) unstable; urgency=low

  * The SIZEOF macro doesn't need such a combersome name.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 21 Nov 2008 22:46:40 +1100

libexplain (0.2.D030-1) unstable; urgency=low

  * Explanations are now available for errors reported by the utime(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 21 Nov 2008 18:25:54 +1100

libexplain (0.2.D029-1) unstable; urgency=low

  * There are now explanations available for errors reported by the closedir
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 20 Nov 2008 17:03:40 +1100

libexplain (0.2.D028-1) unstable; urgency=low

  * The strtol_or_die function has been moved into the library, so the test_*
    programs can access it.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 20 Nov 2008 16:31:10 +1100

libexplain (0.2.D027-1) unstable; urgency=low

  * There are now explanations available for the case when ferror returns true.
    Hopefully not too much time has passed since the relevant event.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 20 Nov 2008 10:54:10 +1100

libexplain (0.2.D026-1) unstable; urgency=low

  * There are now explanations available for errors reported by the
    gettimeofday(2) system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 20 Nov 2008 09:06:03 +1100

libexplain (0.2.D025-1) unstable; urgency=low

  * Explanations are now available for error reported by the wait4 system call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 19 Nov 2008 23:44:46 +1100

libexplain (0.2.D024-1) unstable; urgency=low

  * Explanations are now available for errors reported by the wait3 system call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 19 Nov 2008 22:02:46 +1100

libexplain (0.2.D023-1) unstable; urgency=low

  * Pointer can now be printed in a consistent way, which will hopefully cut
    down on the false negatives from the test suite.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 19 Nov 2008 20:05:28 +1100

libexplain (0.2.D022-1) unstable; urgency=low

  * Explanations are now available for errors reported by the waitpid(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 19 Nov 2008 17:12:21 +1100

libexplain (0.2.D021-1) unstable; urgency=low

  * A bug has been fixed in the list of installed files.  The libexplain/mkdir.h
    file was omitted from the libexplain/libexplain.h file, and thus not
    installed.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 19 Nov 2008 17:09:23 +1100

libexplain (0.2.D020-1) unstable; urgency=low

  * The code examples for readdir now handles the errno ambiguity.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 18 Nov 2008 22:39:10 +1100

libexplain (0.2.D019-1) unstable; urgency=low

  * Explanations are now available for the system(3) system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 18 Nov 2008 21:29:46 +1100

libexplain (0.2.D018-1) unstable; urgency=low

  * Explanations are now available for errors reported by the wait(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 18 Nov 2008 17:20:24 +1100

libexplain (0.2.D017-1) unstable; urgency=low

  * Explanations are now available for errors reported by the fork(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 18 Nov 2008 10:07:51 +1100

libexplain (0.2.D016-1) unstable; urgency=low

  * There are now explanations available for the fgets system call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 17 Nov 2008 21:11:18 +1100

libexplain (0.2.D015-1) unstable; urgency=low

  * More internationalization has been added to messages printed by libexplain_
    buffer_errno_path_resolution

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 17 Nov 2008 15:41:22 +1100

libexplain (0.2.D014-1) unstable; urgency=low

  * This change fixes the way the shared library is linked, now it includes
    subordinate libraries.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 17 Nov 2008 12:34:36 +1100

libexplain (0.2.D013-1) unstable; urgency=low

  * The donditional was wrong for the C++ insulation.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 15 Nov 2008 23:36:06 +1100

libexplain (0.2.D012-1) unstable; urgency=low

  * More code has been added to internationalize the error messages.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 15 Nov 2008 22:46:48 +1100

libexplain (0.2.D011-1) unstable; urgency=low

  * Explanations are now available for the error reported by the lchown system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 14 Nov 2008 19:36:30 +1100

libexplain (0.2.D010-1) unstable; urgency=low

  * The structure of the problem statements and cause explanation has been
    changed to permit i18n to re-arrange the form of the messages, for languages
    who's syntax is different than English.  Preminiary support for .pot files
    has been added.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 14 Nov 2008 17:03:18 +1100

libexplain (0.2.D009-1) unstable; urgency=low

  * The libexplain_wrap_and_print function now understands multi-byte
    characters, including multi-byte characters that are more than one column
    wide.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 14 Nov 2008 16:54:26 +1100

libexplain (0.2.D008-1) unstable; urgency=low

  * There are now explanations available for error reported by the execve system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 12 Nov 2008 23:38:21 +1100

libexplain (0.2.D007-1) unstable; urgency=low

  * The code and code examples have all been corrected to use exit(EXIT_FAILURE)
    instead of exit(1).

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 12 Nov 2008 19:07:27 +1100

libexplain (0.2.D006-1) unstable; urgency=low

  * The ENOTDIR explaiantions have been refactored into a single function, for
    consitent explanations.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 12 Nov 2008 18:32:04 +1100

libexplain (0.2.D005-1) unstable; urgency=low

  * This change et fixes Suse build problems.
  * My thanks to Ralf Fassel for reporting these problems.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 11 Nov 2008 23:06:15 +1100

libexplain (0.2.D004-1) unstable; urgency=low

  * Explanations are now available for the fread(3) system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 11 Nov 2008 18:22:18 +1100

libexplain (0.2.D003-1) unstable; urgency=low

  * There are now explanations available for errors reported by the getc and
    fgetc library calls.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 11 Nov 2008 16:53:27 +1100

libexplain (0.2.D002-1) unstable; urgency=low

  * Directory listing has been enabled for the debian directory on the web site.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 11 Nov 2008 09:50:32 +1100

libexplain (0.2.D001-1) unstable; urgency=low

  * This change set prepares libexplain for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 11 Nov 2008 08:38:20 +1100

libexplain (0.1.D057-1) unstable; urgency=low

  * There are now explanations availabe for the errors returned by the dup(2)
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 10 Nov 2008 23:15:40 +1100

libexplain (0.1.D056-1) unstable; urgency=low

  * There is now a common function for handling EFBIG errors for consistent
    explanations.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 10 Nov 2008 22:36:46 +1100

libexplain (0.1.D055-1) unstable; urgency=low

  * The ENOENT message has been refactored into a single function, for
    consistent error explanations.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 10 Nov 2008 19:17:22 +1100

libexplain (0.1.D054-1) unstable; urgency=low

  * The lsof(1) command is used to obtain supplementary file information on
    those systems with limited /proc implementations, or no /proc at all.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 10 Nov 2008 15:40:57 +1100

libexplain (0.1.D053-1) unstable; urgency=low

  * There are now explanations available for chown(2) errors.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 09 Nov 2008 10:05:45 +1100

libexplain (0.1.D052-1) unstable; urgency=low

  * The EROFS handling has been moved into a common function, for consistent
    explanations.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 08 Nov 2008 22:59:33 +1100

libexplain (0.1.D051-1) unstable; urgency=low

  * The code now understands Linux capabilities.  iT defaults to using
    geteuid()==0 if they are not available.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 08 Nov 2008 21:49:50 +1100

libexplain (0.1.D050-1) unstable; urgency=low

  * The path resolution code now takes a final_compoient struct argument, to
    describe the desired properties of the final component, rather than using
    (or, increasingly, abusing) an open(2) flags value.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 07 Nov 2008 17:03:48 +1100

libexplain (0.1.D049-1) unstable; urgency=low

  * There is now a LIBEXPLAIN_OPTIONS environment variable, which allows the
    automated tests to avoid system specific text and limits from giving false
    negatives.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 05 Nov 2008 21:36:00 +1100

libexplain (0.1.D048-1) unstable; urgency=low

  * A number of OpenBSD build problems have been fixed.	 Some tests have been
    made less linux specific (more work to do in this area, though).

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 05 Nov 2008 16:30:09 +1100

libexplain (0.1.D047-1) unstable; urgency=low

  * Explanations are now available for readline system call errors.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 03 Nov 2008 21:43:51 +1100

libexplain (0.1.D046-1) unstable; urgency=low

  * There are now explanations available fot the mkdir(2) system call errors.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 03 Nov 2008 17:31:05 +1100

libexplain (0.1.D045-1) unstable; urgency=low

  * The phrasing of one of the messages has been improved.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 03 Nov 2008 16:51:11 +1100

libexplain (0.1.D044-1) unstable; urgency=low

  * The path resolution code was printing the wring directory name when a file
    needed to be creaed but there were no permissions to do so.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 03 Nov 2008 16:20:54 +1100

libexplain (0.1.D043-1) unstable; urgency=low

  * There are now explanations available for errors reported by the ftruncate
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 03 Nov 2008 10:40:06 +1100

libexplain (0.1.D042-1) unstable; urgency=low

  * There are now explanations available for the fstat(2) system call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 02 Nov 2008 23:19:09 +1100

libexplain (0.1.D041-1) unstable; urgency=low

  * The explanation for the unlink EPERM error has been improved.  This makes no
    difference on Linux, but will probably be visable on other POSIXX systems.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 02 Nov 2008 22:23:56 +1100

libexplain (0.1.D040-1) unstable; urgency=low

  * Theer is a new libexplain_write_or_die function for API symmetry.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 02 Nov 2008 22:10:50 +1100

libexplain (0.1.D039-1) unstable; urgency=low

  * There is a new libexplain_unlink_or_die function for API symmetry.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 02 Nov 2008 21:52:25 +1100

libexplain (0.1.D038-1) unstable; urgency=low

  * There are now explanations available for truncate system call errors.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 02 Nov 2008 21:09:00 +1100

libexplain (0.1.D037-1) unstable; urgency=low

  * The explanation for EIO now includes the path of the special file, if it can
    be determined.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 02 Nov 2008 21:02:24 +1100

libexplain (0.1.D036-1) unstable; urgency=low

  * The explanation for ETXTBSY has been refactored into a common function for
    consistency.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 02 Nov 2008 12:29:54 +1100

libexplain (0.1.D035-1) unstable; urgency=low

  * The explanations for ELOOP have been moved to a common function, to ensure
    consistency.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 02 Nov 2008 11:50:28 +1100

libexplain (0.1.D034-1) unstable; urgency=low

  * The explanations for EINTR have been moved to a common function for
    consistent reporting.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 02 Nov 2008 11:15:04 +1100

libexplain (0.1.D033-1) unstable; urgency=low

  * The explanations for ENAMETOOLONG have been refactored into common
    functions, for consistent error messages.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 02 Nov 2008 10:27:43 +1100

libexplain (0.1.D032-1) unstable; urgency=low

  * There is now a libexplain_symlink_or_die function for API symmetry.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 01 Nov 2008 18:26:03 +1100

libexplain (0.1.D031-1) unstable; urgency=low

  * There is a new libexplain_stat_or_die function for API symmetry

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 01 Nov 2008 18:02:09 +1100

libexplain (0.1.D030-1) unstable; urgency=low

  * There is a new libexplain_rename_or_die function for API symmetry.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 01 Nov 2008 13:00:29 +1100

libexplain (0.1.D029-1) unstable; urgency=low

  * There is a new libexplain_opendir_or_die function for API symmetry.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 01 Nov 2008 12:51:06 +1100

libexplain (0.1.D028-1) unstable; urgency=low

  * There is now a libexplain_lstat_or_die function for API symmetry.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 01 Nov 2008 12:39:56 +1100

libexplain (0.1.D027-1) unstable; urgency=low

  * There is a new libexplain_lseek_or_die function for API symmetry.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 01 Nov 2008 09:01:23 +1100

libexplain (0.1.D026-1) unstable; urgency=low

  * Explanations are now available for error reported by the readdir system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 31 Oct 2008 23:41:45 +1100

libexplain (0.1.D025-1) unstable; urgency=low

  * There is a new libexplain_read_or_die function for API symmetry.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 31 Oct 2008 21:51:29 +1100

libexplain (0.1.D024-1) unstable; urgency=low

  * There are now explanations available for error returned by the fwrite(3)
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 31 Oct 2008 21:34:58 +1100

libexplain (0.1.D023-1) unstable; urgency=low

  * When doing fuzzy file name comparisons, the comparison is now performed in a
    case-INsensitive manner.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 31 Oct 2008 21:32:08 +1100

libexplain (0.1.D022-1) unstable; urgency=low

  * There is now a libexplain_creat_or_die functon, for API symmetry.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 31 Oct 2008 21:27:13 +1100

libexplain (0.1.D021-1) unstable; urgency=low

  * There is a new libexplain_link_or_die function, for API symmetry.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 31 Oct 2008 10:41:00 +1100

libexplain (0.1.D020-1) unstable; urgency=low

  * There is a new libexplain_fcntl_or_die function, for API symmetry

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 31 Oct 2008 10:22:12 +1100

libexplain (0.1.D019-1) unstable; urgency=low

  * There is now a libexplain_close_or_die for symmetry with the rest of the
    API.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 31 Oct 2008 09:37:42 +1100

libexplain (0.1.D018-1) unstable; urgency=low

  * There are now explanations available for the remove(3) system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 30 Oct 2008 22:55:30 +1100

libexplain (0.1.D017-1) unstable; urgency=low

  * There are now explanations available for the rmdir system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 30 Oct 2008 16:51:54 +1100

libexplain (0.1.D016-1) unstable; urgency=low

  * The code generator now produces the test programs as well.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 30 Oct 2008 12:17:40 +1100

libexplain (0.1.D015-1) unstable; urgency=low

  * The code generator now adds see also sections to man pages.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 30 Oct 2008 09:59:38 +1100

libexplain (0.1.D014-1) unstable; urgency=low

  * There is a new libexplain_chdir_or_die function, for symmetry with the rest
    of the API.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 29 Oct 2008 23:52:50 +1100

libexplain (0.1.D013-1) unstable; urgency=low

  * There is a new libexplain_access_or_die function, which may be used to check
    file permissions and report errors.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 29 Oct 2008 18:17:30 +1100

libexplain (0.1.D012-1) unstable; urgency=low

  * The text of " failed, " has been refactored into a singl;e function, for use
    everywhere.	 This provides consistent behaviour, and reduces the size of the
    code.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 29 Oct 2008 09:15:16 +1100

libexplain (0.1.D011-1) unstable; urgency=low

  * All of the EBADF explanations now use the same function, so as to present a
    consistent message.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 28 Oct 2008 22:53:37 +1100

libexplain (0.1.D010-1) unstable; urgency=low

  * There are now explanations available for the fchmod(2) system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 28 Oct 2008 22:31:42 +1100

libexplain (0.1.D009-1) unstable; urgency=low

  * There are now explanations available for the chmod(2) system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 28 Oct 2008 17:03:55 +1100

libexplain (0.1.D008-1) unstable; urgency=low

  * There is a new libexplain_fclose_or_die which calls fflush and fclose and
    then calls libexplain_fclose to report the error, then exits.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 27 Oct 2008 21:13:50 +1100

libexplain (0.1.D007-1) unstable; urgency=low

  * There is a new libexplain_fflush_or_die function, which will call fflush and
    report the error if there is one.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 27 Oct 2008 20:40:14 +1100

libexplain (0.1.D006-1) unstable; urgency=low

  * There is a new libexplain_freopen_or_die function which may be used to call
    freopen and if it fails print the explanation and exit(1).

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 27 Oct 2008 19:45:57 +1100

libexplain (0.1.D005-1) unstable; urgency=low

  * When a pathname is inserted after a file descriptor, it no longer appears
    intide C comments, the C quoting is sufficient.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 27 Oct 2008 17:21:04 +1100

libexplain (0.1.D004-1) unstable; urgency=low

  * There are now explanations available for the fchdir(2) system call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 27 Oct 2008 17:14:21 +1100

libexplain (0.1.D003-1) unstable; urgency=low

  * The final component is now checked for EACCES, and spelled out in far more
    detail.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 27 Oct 2008 16:56:52 +1100

libexplain (0.1.D002-1) unstable; urgency=low

  * The web site now includes a kfish endorsement.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 27 Oct 2008 14:28:45 +1100

libexplain (0.1.D001-1) unstable; urgency=low

  * This change prepares libexplain for its first public release.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 26 Oct 2008 23:08:16 +1100

libexplain (0.0.D142-1) unstable; urgency=low

  * A comment with unprintable characters has been redacted.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 26 Oct 2008 20:29:48 +1100

libexplain (0.0.D141-1) unstable; urgency=low

  * Theer is a new libexplain_fopen_or_die function, to short-cut good error
    messages.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 26 Oct 2008 19:32:02 +1100

libexplain (0.0.D140-1) unstable; urgency=low

  * The libexplain_freopen man page has been completed.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 26 Oct 2008 15:57:21 +1100

libexplain (0.0.D139-1) unstable; urgency=low

  * The libexplain_fclose man page has been completed.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 26 Oct 2008 15:39:15 +1100

libexplain (0.0.D138-1) unstable; urgency=low

  * The fstrcmp function would exit when it could not allocate memory.	This is
    the wromg thing for a library to do.  Now it returns -1.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 26 Oct 2008 15:10:19 +1100

libexplain (0.0.D137-1) unstable; urgency=low

  * There are now explanations available for the acess system call's errors.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 26 Oct 2008 15:01:08 +1100

libexplain (0.0.D136-1) unstable; urgency=low

  * The "success" string has been factored out into a function of its own.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 26 Oct 2008 12:55:06 +1100

libexplain (0.0.D135-1) unstable; urgency=low

  * More missing man pages have been added.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 26 Oct 2008 01:39:39 +1100

libexplain (0.0.D134-1) unstable; urgency=low

  * This change adds two mor eman pages.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 25 Oct 2008 16:58:05 +1100

libexplain (0.0.D133-1) unstable; urgency=low

  * This change set adds a libexplain_chdir(3) man page.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 24 Oct 2008 23:45:42 +1100

libexplain (0.0.D132-1) unstable; urgency=low

  * There is now an explanation available for the create system call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 24 Oct 2008 23:23:03 +1100

libexplain (0.0.D131-1) unstable; urgency=low

  * The explanation for the unlink ENOTDIR error now states which component is
    not a directory.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 24 Oct 2008 21:13:30 +1100

libexplain (0.0.D130-1) unstable; urgency=low

  * The explanation for the unlink ENAMETOOLONG error, it now indicates which
    component is too long.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 24 Oct 2008 21:04:16 +1100

libexplain (0.0.D129-1) unstable; urgency=low

  * The explanation for the unlink ELOOP error now nominates the offending
    component.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 24 Oct 2008 20:36:18 +1100

libexplain (0.0.D128-1) unstable; urgency=low

  * The text for the EFAULT error across all sys calls has been refactored into
    a single function.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 24 Oct 2008 19:42:53 +1100

libexplain (0.0.D127-1) unstable; urgency=low

  * The explanation for the symlink EPERM error now includes the mount point in
    question.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 24 Oct 2008 17:23:19 +1100

libexplain (0.0.D126-1) unstable; urgency=low

  * The explanation for the symlink ENOTDIR err has been improved, it now states
    the component in questioThe explanation for the symlink ENOTDIR err has been
    improved, it now states the component in question

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 24 Oct 2008 17:20:09 +1100

libexplain (0.0.D125-1) unstable; urgency=low

  * The explanation for the symlink ENOSPC error now includes the mount point of
    interest.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 24 Oct 2008 17:15:28 +1100

libexplain (0.0.D124-1) unstable; urgency=low

  * The explanation for the symlink ENOENT error has been improved, it now
    distinguishes the major causes.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 24 Oct 2008 17:13:09 +1100

libexplain (0.0.D123-1) unstable; urgency=low

  * The explanation for the symlink ENAMETOOLONG error has been improved, it now
    distinguishes the three causes.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 24 Oct 2008 17:10:15 +1100

libexplain (0.0.D122-1) unstable; urgency=low

  * The explanation for the link EXDEV error now includes details of mount
    points, and only mentions cross-to-same-device if relevant.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 24 Oct 2008 16:51:23 +1100

libexplain (0.0.D121-1) unstable; urgency=low

  * The explanation of the link EPERM error has been improved, it now
    distinguishes the two cases.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 24 Oct 2008 16:46:59 +1100

libexplain (0.0.D120-1) unstable; urgency=low

  * The explanation for the link ENOTDIR error has been improved, it now
    distinguishes the two cases.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 24 Oct 2008 08:24:16 +1100

libexplain (0.0.D119-1) unstable; urgency=low

  * The makefile now installa  pkg-config .pc file, for easier autoconf
    integration by client packages.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 23 Oct 2008 23:25:34 +1100

libexplain (0.0.D118-1) unstable; urgency=low

  * The explanation for the unlink ENOENT error has been improved, it now
    distinguishes the three causes.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 23 Oct 2008 17:56:56 +1100

libexplain (0.0.D117-1) unstable; urgency=low

  * The explanation of the ENFILE  error now includes the system limit, when
    available.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 23 Oct 2008 17:41:22 +1100

libexplain (0.0.D116-1) unstable; urgency=low

  * The explanation for the unlink EACCES error has been improved, it now
    distingushes the three causes.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 23 Oct 2008 16:38:57 +1100

libexplain (0.0.D115-1) unstable; urgency=low

  * The explanation for the symlink EACCES error has been improved, it now
    distinguishes the two causes.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 23 Oct 2008 16:35:35 +1100

libexplain (0.0.D114-1) unstable; urgency=low

  * The xplanation for the link ENAMETOOLONG error has been improved, it now
    states the limit and also the length of the offending component.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 23 Oct 2008 16:31:09 +1100

libexplain (0.0.D113-1) unstable; urgency=low

  * The explanation of the link ENOENT now distinguses the two causes.	The path
    resolution code now issues the ENOENT explanations consistently.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 23 Oct 2008 09:50:32 +1100

libexplain (0.0.D112-1) unstable; urgency=low

  * The explanation for the link EACCES error has been expanded to cover the
    three major cases.	This also improves the open EACCES explanation as well.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 23 Oct 2008 08:28:07 +1100

libexplain (0.0.D111-1) unstable; urgency=low

  * The libexplain_fcntl_command_parse function has been moved out of the uers
    visable API.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 22 Oct 2008 23:34:54 +1100

libexplain (0.0.D110-1) unstable; urgency=low

  * The explanation for the rename EXDEV error now includes details of the two
    file systems.  It also prints the linux specific information when (a) on
    linux, and (b) relevant.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 22 Oct 2008 23:26:48 +1100

libexplain (0.0.D109-1) unstable; urgency=low

  * The explanation for the rename EPERM error has been improved to distinguish
    between the two cases.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 22 Oct 2008 22:44:04 +1100

libexplain (0.0.D108-1) unstable; urgency=low

  * The rename ENOTEMPTY explanation now includes the number of directory
    entries.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 22 Oct 2008 21:40:37 +1100

libexplain (0.0.D107-1) unstable; urgency=low

  * The generic EIO response now tries harder to be informative.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 22 Oct 2008 21:19:04 +1100

libexplain (0.0.D106-1) unstable; urgency=low

  * The explanation for the rename ENOTDIR error now distinguishes the three
    main cases.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 22 Oct 2008 17:19:31 +1100

libexplain (0.0.D105-1) unstable; urgency=low

  * The explanation for the rename ENOENT error has been improved, it now
    distinguishes the two main cases.  The path resolution code now checks for
    and reports dangling symlinks.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 22 Oct 2008 16:59:07 +1100

libexplain (0.0.D104-1) unstable; urgency=low

  * The explanation for the rename ENAMETOOLONG error has been improved to
    distinguish the two cases.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 22 Oct 2008 10:06:28 +1100

libexplain (0.0.D103-1) unstable; urgency=low

  * There are now explanations available for the freopen system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 21 Oct 2008 22:54:38 +1100

libexplain (0.0.D102-1) unstable; urgency=low

  * There are now explanations availanle for the fflush(3) system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 21 Oct 2008 20:44:32 +1100

libexplain (0.0.D101-1) unstable; urgency=low

  * The explanation or the link EMLINK error has been improved to distinguish
    the two cases.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 21 Oct 2008 17:19:17 +1100

libexplain (0.0.D100-1) unstable; urgency=low

  * The thread safety wording in the function documentation has been slightly
    improved.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 21 Oct 2008 16:57:25 +1100

libexplain (0.0.D099-1) unstable; urgency=low

  * The explanation for the rename EMLINK error has been improved to distinguish
    the two cases.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 21 Oct 2008 16:32:11 +1100

libexplain (0.0.D098-1) unstable; urgency=low

  * There are now explanations available for the fclose system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 21 Oct 2008 16:29:26 +1100

libexplain (0.0.D097-1) unstable; urgency=low

  * The rename EISDIR error explanation has been improved.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 20 Oct 2008 22:31:22 +1100

libexplain (0.0.D096-1) unstable; urgency=low

  * The rename EBUSY error now has a more accurate explanation.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 20 Oct 2008 21:26:33 +1100

libexplain (0.0.D095-1) unstable; urgency=low

  * The explanation for the rename EACCES error has been improved, to
    distinguish the three important edge cases, and also the two path component
    possibilities.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 20 Oct 2008 20:08:12 +1100

libexplain (0.0.D094-1) unstable; urgency=low

  * Some notes about packaging ha sbeen added, so I can do it consistently for
    the next release.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 20 Oct 2008 17:14:43 +1100

libexplain (0.0.D093-1) unstable; urgency=low

  * Explanations are now available for the opendir system call.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 20 Oct 2008 14:29:59 +1100

libexplain (0.0.D092-1) unstable; urgency=low

  * The explanation of EIO is now in a function, for common use across all
    syscalls that need it.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 19 Oct 2008 22:56:34 +1100

libexplain (0.0.D091-1) unstable; urgency=low

  * The EIO error has been moved into its own function, for a consitent message
    across all system call explanations.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 19 Oct 2008 22:32:17 +1100

libexplain (0.0.D090-1) unstable; urgency=low

  * The "because" word has been moved to its own function, and is now ready for
    i18n.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 19 Oct 2008 22:09:31 +1100

libexplain (0.0.D089-1) unstable; urgency=low

  * The EMFILE errors have been refactored into a single function.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 19 Oct 2008 21:11:25 +1100

libexplain (0.0.D088-1) unstable; urgency=low

  * There is now an explanation ofr errors returned by the stat() system call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 19 Oct 2008 19:32:39 +1100

libexplain (0.0.D087-1) unstable; urgency=low

  * Thgere is now a brief page on how to add a new system call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 19 Oct 2008 16:55:55 +1100

libexplain (0.0.D086-1) unstable; urgency=low

  * This change set adds a link to the debian directoru on the web site.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 19 Oct 2008 14:13:41 +1100

libexplain (0.0.D085-1) unstable; urgency=low

  * The debian package is now built at integration time.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 19 Oct 2008 13:54:40 +1100

libexplain (0.0.D084-1) unstable; urgency=low

  * The build system is now able to build debian packages.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 19 Oct 2008 11:32:43 +1100

libexplain (0.0.D083-1) unstable; urgency=low

  * This change set adds aede-policy to check the version-info to be sure its
    has the minimum necessary value to conform to libtool and Debian Policy.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 16 Oct 2008 09:01:28 +1100

libexplain (0.0.D082-1) unstable; urgency=low

  * This change adds the beginnings of internationalization (i18n) but there's
    much more to come.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 15 Oct 2008 20:17:45 +1100

libexplain (0.0.D081-1) unstable; urgency=low

  * The error messages now include the arguments names, in an effort to be more
    informative, particularly when the argument is referred to by name later in
    the error message.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 15 Oct 2008 20:04:25 +1100

libexplain (0.0.D080-1) unstable; urgency=low

  * The files below libexplain/ has all been changed to use the LGPL.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 15 Oct 2008 16:57:34 +1100

libexplain (0.0.D079-1) unstable; urgency=low

  * The new file templates now use LGPL for files below libexplain/

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 15 Oct 2008 16:41:38 +1100

libexplain (0.0.D078-1) unstable; urgency=low

  * The wrap_and_print function has been tweaked to give more pleasing results.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 14 Oct 2008 22:46:12 +1100

libexplain (0.0.D077-1) unstable; urgency=low

  * There are now explanations available for the lstat sytem call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 14 Oct 2008 22:18:16 +1100

libexplain (0.0.D076-1) unstable; urgency=low

  * The web site now includes some blurb on the messages it gives for various
    errors.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 14 Oct 2008 17:31:27 +1100

libexplain (0.0.D075-1) unstable; urgency=low

  * The blurb on the README file now reads the same as the web site.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 14 Oct 2008 10:12:40 +1100

libexplain (0.0.D074-1) unstable; urgency=low

  * The tarball, and other places, now includes the LICENSE file (LGPL).

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 14 Oct 2008 10:02:14 +1100

libexplain (0.0.D073-1) unstable; urgency=low

  * The AC_CHECK_PROG(LIBTOOL) line means that the ganated Makefile.in will now
    use libtool to create a shared library.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 13 Oct 2008 21:42:14 +1100

libexplain (0.0.D072-1) unstable; urgency=low

  * There are now explanations for chdir errors.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 13 Oct 2008 00:44:26 +1100

libexplain (0.0.D071-1) unstable; urgency=low

  * The example error message on the web site now matches the actual code.
  * Also added more FIXME to explain/main.c for the numerous system calls we
    have yet to support.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 12 Oct 2008 23:56:24 +1100

libexplain (0.0.D070-1) unstable; urgency=low

  * The source is groped for FIXME strings, and bult into a web page of things
    folks can contribute.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 12 Oct 2008 22:44:23 +1100

libexplain (0.0.D069-1) unstable; urgency=low

  * The unlink system call has been added for explanations.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 12 Oct 2008 22:07:50 +1100

libexplain (0.0.D068-1) unstable; urgency=low

  * There are now explanations for lseek errors.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 12 Oct 2008 20:09:54 +1100

libexplain (0.0.D067-1) unstable; urgency=low

  * An explanation has been added for the write ENOENT error.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 11 Oct 2008 22:47:45 +1100

libexplain (0.0.D066-1) unstable; urgency=low

  * An explanation has been added for the read ENOENT error.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 11 Oct 2008 22:45:25 +1100

libexplain (0.0.D065-1) unstable; urgency=low

  * An explanation has been added for the close EWOULDBLOCK error.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 11 Oct 2008 22:36:51 +1100

libexplain (0.0.D064-1) unstable; urgency=low

  * The explanation of the write EPIPE error has been improved, it now
    distinguishes the three cases.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 11 Oct 2008 22:14:50 +1100

libexplain (0.0.D063-1) unstable; urgency=low

  * The explanation for the write EINVAL error has been improved to distinguish
    the not-writable case from the not-aligned case.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 11 Oct 2008 20:17:04 +1100

libexplain (0.0.D062-1) unstable; urgency=low

  * The explanaition for the link ELOOP error has been improved to distinguish
    oldpath form newpath, and to name the start of the loop.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 11 Oct 2008 17:01:24 +1100

libexplain (0.0.D061-1) unstable; urgency=low

  * The explanation of the symlink ELOOP error has been improved, it now
    includes the start of the loop in the message.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 11 Oct 2008 16:51:32 +1100

libexplain (0.0.D060-1) unstable; urgency=low

  * The explanation for the rename ELOOP error has been enhanved to indicate the
    loop, and to dostinguish oldpath from newpath.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 11 Oct 2008 14:10:40 +1100

libexplain (0.0.D059-1) unstable; urgency=low

  * The explanation of open ELOOP error has been improved to distinguish between
    too many links, and a link loop (for which the first component is printed).

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 11 Oct 2008 13:49:36 +1100

libexplain (0.0.D058-1) unstable; urgency=low

  * The description of the read EIO error has been improved to distinguish
    between the three cases.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 11 Oct 2008 11:16:09 +1100

libexplain (0.0.D057-1) unstable; urgency=low

  * The explanation for the write EFBIG error has been improved, it now includes
    the process's file size limit.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 11 Oct 2008 10:44:37 +1100

libexplain (0.0.D056-1) unstable; urgency=low

  * The explanation of the write EBADF error has been improved to distinguish
    non-open from not-writable.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 11 Oct 2008 01:16:41 +1100

libexplain (0.0.D055-1) unstable; urgency=low

  * The explanation of the read EINVAL error has been improved to separate out
    the alternatives.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 11 Oct 2008 01:01:18 +1100

libexplain (0.0.D054-1) unstable; urgency=low

  * The explanation for the link EFAULT error has been improved to distinguish
    which of the arguments is broken.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 11 Oct 2008 00:30:24 +1100

libexplain (0.0.D053-1) unstable; urgency=low

  * The explanation of the rename EFAULT error has been improved to say which of
    the paths is broken.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 11 Oct 2008 00:23:26 +1100

libexplain (0.0.D052-1) unstable; urgency=low

  * The description of the symlink EFAULT error has been improved, it now can
    tell which of the two paths is broken.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 11 Oct 2008 00:12:30 +1100

libexplain (0.0.D051-1) unstable; urgency=low

  * The description of the read EBADF error has been improved to distinguish
    between not-open and not open for reading (and lists the open flags).

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 10 Oct 2008 22:54:04 +1100

libexplain (0.0.D050-1) unstable; urgency=low

  * The explanation of the open ETXTBSY error has been improved to include the
    PIDs of the executing processes.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 10 Oct 2008 22:34:41 +1100

libexplain (0.0.D049-1) unstable; urgency=low

  * The error message for open EWOULDBLOCK error message has been improved to
    list the PIDs of conflicting leases.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 10 Oct 2008 22:24:26 +1100

libexplain (0.0.D048-1) unstable; urgency=low

  * The front page of the Doxygen documentation now includes a simple example.
    The API include files now have brief descriptions.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 10 Oct 2008 21:00:00 +1100

libexplain (0.0.D047-1) unstable; urgency=low

  * This change set removes more absolute paths from the Doxygen output.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 10 Oct 2008 19:29:02 +1100

libexplain (0.0.D046-1) unstable; urgency=low

  * The project icon has been added to the web pages produced by aeget (the
    Aegus web interface).

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 10 Oct 2008 19:14:00 +1100

libexplain (0.0.D045-1) unstable; urgency=low

  * This change set adds file metrics to the build, so that Aegis can pick them
    up and display them.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 10 Oct 2008 18:07:51 +1100

libexplain (0.0.D044-1) unstable; urgency=low

  * The explanation for symlink EROFS has been improved to include the mount
    point.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 10 Oct 2008 17:13:34 +1100

libexplain (0.0.D043-1) unstable; urgency=low

  * The explanation for the link EROFS error has been improved, it now include
    mount point details.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 10 Oct 2008 17:07:17 +1100

libexplain (0.0.D042-1) unstable; urgency=low

  * The rename EROFS error messge has been improved to include the mount point
    details of the file system.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 10 Oct 2008 17:01:40 +1100

libexplain (0.0.D041-1) unstable; urgency=low

  * The explanation for open EROFS error has been improved.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 10 Oct 2008 16:56:22 +1100

libexplain (0.0.D040-1) unstable; urgency=low

  * The explanation for open ENOTDIR error has been improved.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 10 Oct 2008 16:39:59 +1100

libexplain (0.0.D039-1) unstable; urgency=low

  * The "FIXME" had already been fixed, comment removed.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 10 Oct 2008 16:16:07 +1100

libexplain (0.0.D038-1) unstable; urgency=low

  * The explanation for open ENFILE error has been improved.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 10 Oct 2008 16:13:41 +1100

libexplain (0.0.D037-1) unstable; urgency=low

  * The symlink system call is now supported for explaiantion.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 10 Oct 2008 13:22:28 +1100

libexplain (0.0.D036-1) unstable; urgency=low

  * The explanation for ENOSPC for the link system call has been improved to
    include the file system mount point.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 10 Oct 2008 12:27:27 +1100

libexplain (0.0.D035-1) unstable; urgency=low

  * The explanation for ENOSPC for the write system call has been improved.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 10 Oct 2008 12:14:19 +1100

libexplain (0.0.D034-1) unstable; urgency=low

  * The explanation for rename ENOSPC has been improved to include mount point
    details.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 10 Oct 2008 11:33:40 +1100

libexplain (0.0.D033-1) unstable; urgency=low

  * The explanation for open ENOSPC has been improved to include the file system
    mount point.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 10 Oct 2008 11:26:11 +1100

libexplain (0.0.D032-1) unstable; urgency=low

  * The path_resolution code now uses fstrcmp to look for files similar to those
    which are supposed to exist, but do not.  This frequently detects
    typographical errors.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 09 Oct 2008 23:12:44 +1100

libexplain (0.0.D031-1) unstable; urgency=low

  * This change set moves the function to the more consistent name (and path) of
    libexplain_buffer_errno_path_resolution

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 09 Oct 2008 22:17:12 +1100

libexplain (0.0.D030-1) unstable; urgency=low

  * The link(2) system call is now supported for explaining.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 09 Oct 2008 22:02:19 +1100

libexplain (0.0.D029-1) unstable; urgency=low

  * The special files wrapped in #ifdef from ./configure are now detected and
    complained about by the build if you forget to use the wrapper.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 09 Oct 2008 17:41:48 +1100

libexplain (0.0.D028-1) unstable; urgency=low

  * This change set refactors the way the size of the common message buffer is
    calculated and shared around.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 09 Oct 2008 16:36:55 +1100

libexplain (0.0.D027-1) unstable; urgency=low

  * The doxygen documentation now comes in two flavors, API and internal.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 09 Oct 2008 14:56:29 +1100

libexplain (0.0.D026-1) unstable; urgency=low

  * The public API no longer has the libexplain_string_buffer_t calls in it.  It
    no longer has size_t, either, since that requires config.h with non-
    insulated names.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 09 Oct 2008 14:42:29 +1100

libexplain (0.0.D025-1) unstable; urgency=low

  * There is now support for explaining the rename system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 09 Oct 2008 11:10:03 +1100

libexplain (0.0.D024-1) unstable; urgency=low

  * The use of strerror has been refactored, pulling several lines of common
    code into a libexplain_buffer_strerror function, and reducing include
    explosion.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 09 Oct 2008 10:21:42 +1100

libexplain (0.0.D023-1) unstable; urgency=low

  * The text of the sf.net registration has been added to the web page.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 09 Oct 2008 09:56:09 +1100

libexplain (0.0.D022-1) unstable; urgency=low

  * The description of the problem when open() sees ENOENT has been improved.
    It now states which path component does not exist.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 09 Oct 2008 09:53:28 +1100

libexplain (0.0.D021-1) unstable; urgency=low

  * There is a gcc_attributes.h file, for checking format arguments.  Amazingly,
    there were no problems found.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 08 Oct 2008 22:32:42 +1100

libexplain (0.0.D020-1) unstable; urgency=low

  * The first small ugly simple version of the web site.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 08 Oct 2008 17:09:22 +1100

libexplain (0.0.D019-1) unstable; urgency=low

  * This change set fixes several tarball build problems.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 08 Oct 2008 17:07:49 +1100

libexplain (0.0.D018-1) unstable; urgency=low

  * The fopen system call is now supported for explanation.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 08 Oct 2008 12:31:24 +1100

libexplain (0.0.D017-1) unstable; urgency=low

  * A bug has been fixed in the libexplain_buffer_open_flags function, it was
    not correctly decoding a mode of exactly O_RDONLY.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 08 Oct 2008 12:28:28 +1100

libexplain (0.0.D016-1) unstable; urgency=low

  * The fcntl system call is now supported for explaining.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 08 Oct 2008 10:35:50 +1100

libexplain (0.0.D015-1) unstable; urgency=low

  * The file was starting to get unwieldy, explaoded into one file per function.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 08 Oct 2008 09:25:45 +1100

libexplain (0.0.D014-1) unstable; urgency=low

  * The build now constructs tags and TAGS files, for easier navigation within
    editors.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 07 Oct 2008 23:09:49 +1100

libexplain (0.0.D013-1) unstable; urgency=low

  * There write system call is now supported for explaining.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 07 Oct 2008 20:12:49 +1100

libexplain (0.0.D012-1) unstable; urgency=low

  * Documentation for the functions is now generated, using Doxygen.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 07 Oct 2008 18:10:08 +1100

libexplain (0.0.D011-1) unstable; urgency=low

  * The explain command is now able to explain strerror strings.  It does this
    by attempting several foroward and reverse lookups until it finds something.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 07 Oct 2008 17:50:55 +1100

libexplain (0.0.D010-1) unstable; urgency=low

  * The read system call is now able to be explained.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 07 Oct 2008 12:05:32 +1100

libexplain (0.0.D009-1) unstable; urgency=low

  * The close system call is now covered by the library.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 06 Oct 2008 22:51:13 +1100

libexplain (0.0.D008-1) unstable; urgency=low

  * The easy case of ELOOP/O_NOFOLLOW has been improved.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 06 Oct 2008 22:00:54 +1100

libexplain (0.0.D007-1) unstable; urgency=low

  * The explanations for open() have been improved.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 06 Oct 2008 17:19:33 +1100

libexplain (0.0.D006-1) unstable; urgency=low

  * The GPL version has been bumped to GPLv3.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 06 Oct 2008 15:50:38 +1100

libexplain (0.0.D005-1) unstable; urgency=low

  * The test template has been changed to use the test_prelude style of test
    script.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 06 Oct 2008 14:00:19 +1100

libexplain (0.0.D004-1) unstable; urgency=low

  * The develop-end policies have been tightened up, and problems found have
    been fixed.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 06 Oct 2008 08:30:08 +1100

libexplain (0.0.D003-1) unstable; urgency=low

  * There is a new explain(1) command, which may be used to decode error
    messages from the command line.  It may not be completely accurate as it can
    make a number of guesses.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 05 Oct 2008 22:14:40 +1100

libexplain (0.0.D002-1) unstable; urgency=low

  * The integration build now creates a tarball.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 05 Oct 2008 16:39:04 +1100

libexplain (0.0.D001-1) unstable; urgency=low

  * The "example-cook-aesvt" program, branch 1.0.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 05 Oct 2008 14:43:33 +1100
